<?php

/*

  osCommRes, Services Online
  http://www.oscommres.com

  Copyright (c) 2005 osCommRes

  Released under the GNU General Public License
*/

	require('includes/application_top.php');
	require(DIR_WS_CLASSES . 'split_page_results_report.php');
	define(BOX_WIDTH,'125');

	$category=(isset($HTTP_POST_VARS["cbo_category"])?$HTTP_POST_VARS["cbo_category"]:-1);
	$post_action=(isset($HTTP_POST_VARS["post_action"])?$HTTP_POST_VARS["post_action"]:'');
	$page=(isset($HTTP_POST_VARS["page"])?$HTTP_POST_VARS["page"]:1);

	$found_results=false;

	$where="";
	if ($category!=-1){
		$where.=" and ec.events_categories_id='" . $category . "'";
	}
	// create the sql for report
	$events_sql="SELECT distinct e.events_id,ed.events_name,e.events_location,l.location_name,e.events_instructor,concat(a.admin_firstname,' ', a.admin_lastname) as instructor_name,ecd.events_categories_id,ecd.events_categories_name, " . 
					" time_format(e.events_start_time,'%h-%i %p') as start_time,time_format(e.events_end_time,'%h-%i %p') as end_time from " . 
					TABLE_EVENTS . " e, " . TABLE_EVENTS_CATEGORIES_DESCRIPTION . " ecd, " . TABLE_EVENTS_DESCRIPTION . " ed, " . TABLE_EVENTS_TO_EVENTS_CATEGORIES . " ec LEFT JOIN " . TABLE_EVENTS_LOCATIONS . " l on e.events_location=l.location_id 
					LEFT JOIN admin a on a.admin_id=e.events_instructor where e.events_id=ec.events_id and ecd.events_categories_id=ec.events_categories_id
					and e.events_id=ed.events_id " . $where . " and ed.language_id='" . (int)$languages_id . "' and ecd.language_id='". (int)$languages_id . "' and (e.events_status=1 or e.events_status=3) order by ecd.events_categories_name,ed.events_name";
					

	$query_split = new splitPageResultsReport($page, REPORT_MAX_ROWS_PAGE, $events_sql, $query_split_numrows);
	
	$events_query=tep_db_query($events_sql);
	
	if (tep_db_num_rows($events_query)>0)  $found_results=true;

	
	//get category list
	$category_array=array();
	$category_array[]=array("id"=>-1,"text"=>TEXT_ALL_CATEGORIES);
	$category_query=tep_db_query("SELECT ecd.events_categories_name,ec.events_categories_id from " . TABLE_EVENTS_CATEGORIES . " ec, " . TABLE_EVENTS_CATEGORIES_DESCRIPTION . " ecd " . 
						"where ec.events_categories_id=ecd.events_categories_id and ecd.language_id='" . (int)$languages_id . "'");
						
	while($category_result=tep_db_fetch_array($category_query)){
		$category_array[]=array("id"=>$category_result["events_categories_id"],"text"=>$category_result["events_categories_name"]);
	}
	
?>

<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/menu.js"></script>
<script language="javascript" src="includes/general.js"></script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->
<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
	<tr>
		<td width="<?php echo BOX_WIDTH; ?>" valign="top">
		<table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="1" cellpadding="1" class="columnLeft">
			<!-- left_navigation //-->
			<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
			<!-- left_navigation_eof //-->
		</table>
		</td>
		<!-- body_text //-->	  
		<td width=100% align=left valign="top">
		<table border="0" width="100%" cellspacing="0" cellpadding="2">
			<tr>
				<td class="pageHeading"><?php echo HEADING_EVENTS_PROGRESS;?></td>
			</tr>
			<tr>
				<td class="pageHeading"></td>
			</tr>
			<!-- --->
			<script language="JavaScript">
				function doSubmit() {
					document.f.submit();
				}
				
				function f_Print() {
					document.f.layout.value="print";
					document.f.target="_blank";
					document.f.submit();
				
				}
			</script>
			<?php 
				echo tep_draw_form("f","events_progress.php");
				echo tep_draw_hidden_field("post_action","search");
			?>
			<tr>
				<td>
				<table cellspacing="0" cellpadding="0" class="formArea" width="100%" border="0">
					<tr>
						<td>
						<table border="0" cellpadding="2" cellspacing="3">
							<tr class="main">
								<td nowrap><?php echo TEXT_CATEGORY . '&nbsp;' . tep_draw_pull_down_menu("cbo_category",$category_array,$category);?></td>
								<td align="right"><a href="javascript:doSubmit()"><?php echo tep_image_submit('button_search_reservation.gif', IMAGE_SEARCH_EVENTS); ?></a></td>
							</tr>
						</table>
						</td>
					</tr>
				</table>
				</td>
			</tr>
			</form>
			<tr>
				<TD>
					<?php echo tep_draw_separator('pixel_trans.gif',1,5); ?>
				</TD>
			</tr>
			<?php if ($found_results) {?>
					<tr>
						<td>
						<table border="0" width="100%" cellspacing="0" cellpadding="2">
							<tr>
								<td class="smallText" align="left">
									<?php echo $query_split->display_links($query_split_numrows, REPORT_MAX_ROWS_PAGE, REPORT_MAX_LINKS_PAGE, $page,tep_get_report_params()); ?>&nbsp;
								</td>
							</tr>
						</table>
						</td>
					</tr>
			<?php
					$prev_cat_id=0;
					$icnt=1;
					while($row=tep_db_fetch_array($events_query)){
						if ($prev_cat_id!=$row["events_categories_id"]) { // output category
			?>
							<tr height="50">
								<td>
								<table border="0" cellpadding="2" cellspacing="0" width="100%" class="formArea">
									<tr>
										<td class="tableHeading">
											<?php 
												echo $row["events_categories_name"];
											?>
										</td>
									</tr>
								</table>
								</td>
							</tr>

					<?php $prev_cat_id=$row["events_categories_id"];
						}
						$session_query=tep_db_query("SELECT start_date from " . TABLE_EVENTS_SESSIONS . " where events_id='" . $row["events_id"] . "' and start_date>=curdate() order by start_date");
						
						if (tep_db_num_rows($session_query)>0){
					?>
							<tr>
								<td class="dataTableContent"><b><?php echo $icnt . ". " . $row["events_name"]; ?></b></td>
							</tr>
							<tr>
								<td>
								<table border="0" cellpadding="2" cellspacing="0" width="100%">
									<tr class='dataTableHeadingRow'>
									  <TD class='dataTableHeadingContent' width="100"><?php echo TEXT_DATE;?></TD>
									  <TD class='dataTableHeadingContent'><?php echo TEXT_LOCATION;?></TD>
									  <TD class='dataTableHeadingContent'><?php echo TEXT_INSTRUCTOR;?></TD>
									  <TD class='dataTableHeadingContent'><?php echo TEXT_TIME;?></TD>
									</tr>
									<?php while($row1=tep_db_fetch_array($session_query)){ ?>
									  <TR class='dataTableRow' height="20">
										  <TD class='dataTableContent'><?php echo format_date($row1['start_date']);?></TD>
										  <TD class='dataTableContent'><?php echo $row['location_name'];?></TD>
										  <TD class='dataTableContent'><?php echo $row['instructor_name'];?></TD>
										  <TD class='dataTableContent'><?php echo $row['start_time'] . ' - ' . $row['end_time'];?></TD>
									  </TR>
									<?php }?>
								</table>
								</td>
							</tr>
							<tr>
								<td><?php echo tep_draw_separator('pixel_trans.gif',1,10);?></td>
							</tr>
					<?php } // no rows $session_query 
						$icnt++;
				 } //while $row
			} // if found_results
		?>
		</table>
		</td>
		</tr>
	</table>
	</td>
</tr>
</table>
<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php');?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
