ALTER TABLE orders_products ADD invoice_printed_time DATETIME;
ALTER TABLE orders_products ADD packslip_printed_time DATETIME;

DROP TABLE IF EXISTS customers_temp_basket_sessions;
CREATE TABLE customers_temp_basket_sessions (
  customers_basket_sessions_id int(11) NOT NULL auto_increment,
  customers_id varchar(40) NOT NULL DEFAULT '0' ,
  products_id int(11) unsigned NOT NULL DEFAULT '0' ,
  session_id int(11) unsigned NOT NULL DEFAULT '0' ,
  session_type char(1) NOT NULL DEFAULT 'R' ,
  session_group char(1) NOT NULL DEFAULT '' ,
  session_date date NOT NULL DEFAULT '0000-00-00' ,
  PRIMARY KEY (customers_basket_sessions_id)
);

DROP TABLE IF EXISTS customers_temp_basket_attributes;
CREATE TABLE  customers_temp_basket_attributes (
  customers_basket_attributes_id int(11) NOT NULL auto_increment,
  customers_id varchar(40) NOT NULL DEFAULT '0' ,
  products_id tinytext NOT NULL DEFAULT '' ,
  products_options_id int(11) NOT NULL DEFAULT '0' ,
  products_options_value_id int(11) NOT NULL DEFAULT '0' ,
  PRIMARY KEY (customers_basket_attributes_id)
);


DROP TABLE IF EXISTS customers_temp_basket;
CREATE TABLE  customers_temp_basket (
  customers_basket_id int(11) NOT NULL auto_increment,
  customers_id varchar(40) ,
  products_id tinytext NOT NULL DEFAULT '' ,
  customers_basket_quantity int(2) NOT NULL DEFAULT '0' ,
  final_price decimal(15,4) NOT NULL DEFAULT '0.0000' ,
  customers_basket_date_added datetime ,
  products_type char(1) NOT NULL DEFAULT 'P' ,
  old_orders_id int(11) unsigned NOT NULL DEFAULT '0' ,
  answer_type char(1) ,
  answer_value varchar(255) ,
  question_id int(11) unsigned NOT NULL DEFAULT '0' ,
  forced_id text ,
  PRIMARY KEY (customers_basket_id)
);

INSERT INTO configuration (configuration_id, configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) VALUES (2160, 'Hide Featured Product id', 'HIDE_FEATURED_PRODUCT_ID', 'No', 'Do you want to Hide the Featured Product id on Front End?.', 1, 1, '2006-10-25 17:34:45', '2006-10-25 16:24:10', '', 'tep_cfg_select_option(array(\'Yes\', \'No\'),');

 INSERT INTO admin_files (admin_files_id, admin_files_name, admin_files_is_boxes, admin_files_to_boxes, admin_groups_id, admin_files_type, admin_files_help_id) VALUES (NULL, 'paypal_notify.php', 0, 5, '1', 'D', 'D');
INSERT INTO admin_files (admin_files_id, admin_files_name, admin_files_is_boxes, admin_files_to_boxes, admin_groups_id, admin_files_type, admin_files_help_id) VALUES (NULL, 'checkout_paypalipn.php', 0, 5, '1', 'D', 'D');