DROP TABLE IF EXISTS customers_bastket_attendees;
CREATE TABLE  customers_basket_attendees (
  customers_id int(11) unsigned NOT NULL DEFAULT '0' ,
  first_name varchar(32) NOT NULL DEFAULT '' ,
  last_name varchar(32) NOT NULL DEFAULT '' ,
  email_address varchar(32) NOT NULL DEFAULT '' ,
  street_address varchar(64) NOT NULL DEFAULT '' ,
  city varchar(32) NOT NULL DEFAULT '' ,
  postcode varchar(32) NOT NULL DEFAULT '' ,
  state varchar(100) NOT NULL DEFAULT '' ,
  country int(6) unsigned NOT NULL DEFAULT '0' 
);

DROP TABLE IF EXISTS customers_to_customers;
CREATE TABLE  customers_to_customers (
  group_customer_id int(11) NOT NULL DEFAULT '0' ,
  customer_id int(11) NOT NULL DEFAULT '0' ,
  orders_id int(11) NOT NULL DEFAULT '0' 
);


DROP TABLE IF EXISTS orders_edit_attendees;
CREATE TABLE orders_edit_attendees (
  orders_id int(11) unsigned NOT NULL DEFAULT '0' ,
  first_name char(32) NOT NULL DEFAULT '' ,
  last_name char(32) NOT NULL DEFAULT '' ,
  email_address char(32) NOT NULL DEFAULT '' ,
  street_address char(64) NOT NULL DEFAULT '' ,
  city char(32) NOT NULL DEFAULT '' ,
  postcode char(32) NOT NULL DEFAULT '' ,
  state char(100) NOT NULL DEFAULT '' ,
  zone_id int(11) unsigned NOT NULL DEFAULT '0' ,
  country int(6) unsigned NOT NULL DEFAULT '0' ,
  attendee_id int(11) NOT NULL DEFAULT '0' ,
  customer_id int(11) NOT NULL DEFAULT '-1' 
);



ALTER TABLE events ADD events_group_bookings CHAR(1)  DEFAULT "N";
ALTER TABLE events ADD events_group_min INT(6)  DEFAULT "0" NOT NULL;
ALTER TABLE events ADD events_group_max INT(6)  UNSIGNED DEFAULT "0" NOT NULL;


DROP TABLE IF EXISTS currency_update_history;
CREATE TABLE currency_update_history (
  update_time datetime ,
  update_status char(1) 
);

DROP TABLE IF EXISTS customers_to_customers;
CREATE TABLE customers_to_customers (
  group_customer_id int(11) NOT NULL DEFAULT '0' ,
  customer_id int(11) NOT NULL DEFAULT '0' ,
  orders_id int(11) NOT NULL DEFAULT '0' 
);

INSERT INTO sql_queries VALUES("oscommres_v1_3_3.sql",now());
