<?php
/*

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce
  
  osCommRes, Services Online
  http://www.oscommres.com

  Copyright (c) 2005 osCommRes

  Released under the GNU General Public License
*/

  require('includes/application_top.php');
  require(DIR_WS_CLASSES . 'currencies.php');
  require(DIR_WS_CLASSES . 'payment.php');
  $currencies = new currencies();
  include(DIR_WS_CLASSES . 'order.php');

  // New "Status History" table has different format.
  $OldNewStatusValues = (tep_field_exists(TABLE_ORDERS_STATUS_HISTORY, "old_value") && tep_field_exists(TABLE_ORDERS_STATUS_HISTORY, "new_value"));
  $CommentsWithStatus = tep_field_exists(TABLE_ORDERS_STATUS_HISTORY, "comments");
  $SeparateBillingFields = tep_field_exists(TABLE_ORDERS, "billing_name");
  $AddShippingTax = "0.0"; // e.g. shipping tax of 17.5% is "17.5"

  // store all the status flags in an array
  $orders_statuses = array();
  $orders_status_array = array();
  $orders_status_query = tep_db_query("select orders_status_id, orders_status_name from " . TABLE_ORDERS_STATUS . " where language_id = '" . (int)$languages_id . "'");
  while ($orders_status = tep_db_fetch_array($orders_status_query)) {
    $orders_statuses[] = array('id' => $orders_status['orders_status_id'],
                               'text' => $orders_status['orders_status_name']);
    $orders_status_array[$orders_status['orders_status_id']] = $orders_status['orders_status_name'];
  }
  
  $oID=(isset($HTTP_GET_VARS['oID'])?(int)$HTTP_GET_VARS['oID']:0);
  $action=(isset($HTTP_GET_VARS['action'])?$HTTP_GET_VARS['action']:'');
  $step=(isset($HTTP_GET_VARS['step'])?(int)$HTTP_GET_VARS['step']:1);
  	       $edit_cart=new editOrderCart($oID);
		   

  if ((int)$oID<=0)
    tep_redirect(tep_href_link(FILENAME_ORDERS));

  if (!($step>=1 && $step<=4)){
    tep_redirect(tep_href_link(FILENAME_ORDERS));
  }

  // confirm order entry in the table before procedding
  $orders_query = tep_db_query("select orders_id,customers_id from " . TABLE_ORDERS . "  where orders_id = '" . (int)$oID . "'");
  $order_exists = true;
  if (!tep_db_num_rows($orders_query)) {
      $order_exists = false;
      $action="";
      //$messageStack->add_Session('orders',sprintf(ERROR_ORDER_DOES_NOT_EXIST, $oID), 'error');
      tep_redirect(tep_href_link(FILENAME_ORDERS));
  }
  $order_result=tep_db_fetch_array($orders_query);
  
  // check the order id with element in temporart edit cart and recreate the edit cart
  if (!tep_session_is_registered('edit_order') || $edit_order!=$oID){
          tep_session_unregister('edit_order');
	       $edit_cart=new editOrderCart($oID);
	       $edit_cart->restore_contents();
	       tep_session_register('edit_order');
	       $edit_order=$oID;
  } else {
     if (!tep_session_is_registered('edit_order'))
	   tep_redirect(tep_href_link(FILENAME_ORDERS));
  }
  $order_timestamp=time();
  if (!tep_session_is_registered('order_timestamp')) tep_session_register('order_timestamp');

  if (tep_not_null($action)) {
    switch ($action) {
		case 'delete_item':
			// delete the single item from edit cart 
			$id=(isset($HTTP_GET_VARS['id'])?$HTTP_GET_VARS['id']:'');
			$check_id="";
			// check for valid ids to work properly
			if ($id!=""){
				$id_splt=split(",",$id);
				for ($icnt=0;$icnt<count($id_splt);$icnt++){
					$id_splt[$icnt]=(int)$id_splt[$icnt];
				}
				$check_id=join(",",$id_splt);
			}
			if ($check_id!=""){
				tep_db_query("DELETE FROM " . TABLE_ORDERS_EDIT_PRODUCTS . " where orders_products_id in(" . $check_id . ")");
				tep_db_query("DELETE FROM " . TABLE_ORDERS_EDIT_PRODUCTS_ATTRIBUTES . " where orders_products_id in(" . $check_id .")");
				tep_db_query("DELETE FROM " . TABLE_ORDERS_EDIT_SERVICES . " where orders_id=' ".$oID." ' and orders_products_id in('" . $id . "')");
				tep_db_query("DELETE FROM " . TABLE_ORDERS_EDIT_SUBSCRIPTIONS . " where orders_id=' ".$oID." ' and orders_products_id in('" . $id . "')");
				
			}
			tep_redirect(tep_href_link(FILENAME_EDIT_ORDERS,'oID=' . $oID . '&step=2'));
			break;
		case 'delete_event':
			// delete the single item from edit cart 
			$id=(isset($HTTP_GET_VARS['id'])?$HTTP_GET_VARS['id']:'');
			$id_types=(isset($HTTP_GET_VARS['id_types'])?$HTTP_GET_VARS['id_types']:'');
			$delete_string="";
			$check_id_group="";
			//echo count($edit_cart->attendees);
			//break;
			// check for valid ids to work properly
			if ($id!="" && $id_types!=""){
				$id_splt=split(",",$id);
				$id_types=split(",",$id_types);
				for ($icnt=0;$icnt<count($id_splt);$icnt++){
					if ($id_types[$icnt]=="g") {
						$check_id_group.=((int)$id_splt[$icnt]) . ",";
					} else {
						$delete_string.=((int)$id_splt[$icnt]) . ",";						
					}
				}
			}
			if ($check_id_group!=""){
				$check_id_group=substr($check_id_group,0,-1);
				$fetch_query=tep_db_query("SELECT op.orders_products_id from " . TABLE_ORDERS_EDIT_PRODUCTS . " op, " . TABLE_EVENTS_SESSIONS . " s where op.orders_id='" . $oID . "' and s.events_id in(" . $check_id_group .") and op.products_id=s.sessions_id and op.products_type='E' and op.events_type='W'");
				while($fetch_result=tep_db_fetch_array($fetch_query))
					$delete_string.=$fetch_result["orders_products_id"] . ",";
			}
			if ($delete_string!="") {
				$delete_string=substr($delete_string,0,-1);
				tep_db_query("DELETE FROM " . TABLE_ORDERS_EDIT_PRODUCTS . " where orders_products_id in(" . $delete_string . ")");
				if (count($edit_cart->attendees)>0){
					$check_query=tep_db_query("SELECT count(*) as total from " . TABLE_ORDERS_EDIT_PRODUCTS . " where products_type='E' and products_quantity>1 and orders_id='" .$oID . "'");
					$check_result=tep_db_fetch_array($check_query);
					if ($check_result["total"]<=0) $edit_cart->remove_attendees();
				}			
			}
			
			
			tep_redirect(tep_href_link(FILENAME_EDIT_ORDERS,'oID=' . $oID . '&step=2'));
			break;
	case 'update_order':
		// update the order contents
		$order = new order($oID);
		$status = tep_db_prepare_input($HTTP_POST_VARS['status']);
		// Update Order Info
		if ($step==1){
		    $UpdateOrders = "update " . TABLE_ORDERS . " set ";
			$UpdateOrders .="customers_name = '" . tep_db_input(stripslashes($update_customer_name)) . "',
			customers_company = '" . tep_db_input(stripslashes($update_customer_company)) . "',
			customers_street_address = '" . tep_db_input(stripslashes($update_customer_street_address)) . "',
			customers_suburb = '" . tep_db_input(stripslashes($update_customer_suburb)) . "',
			customers_city = '" . tep_db_input(stripslashes($update_customer_city)) . "',
			customers_state = '" . tep_db_input(stripslashes($update_customer_state)) . "',
			customers_postcode = '" . tep_db_input(stripslashes($update_customer_postcode)) . "',
			customers_country = '" . tep_db_input(stripslashes($update_customer_country)) . "'";
		}
		// update billing and shipping details
		if ($step==3){
		  $UpdateOrders = "update " . TABLE_ORDERS . " set ";
		  if($SeparateBillingFields)
	   	   {
		      $UpdateOrders .= "billing_name = '" . tep_db_input(stripslashes($update_billing_name)) . "',
			billing_company = '" . tep_db_input(stripslashes($update_billing_company)) . "',
			billing_street_address = '" . tep_db_input(stripslashes($update_billing_street_address)) . "',
			billing_suburb = '" . tep_db_input(stripslashes($update_billing_suburb)) . "',
			billing_city = '" . tep_db_input(stripslashes($update_billing_city)) . "',
			billing_state = '" . tep_db_input(stripslashes($update_billing_state)) . "',
			billing_postcode = '" . tep_db_input(stripslashes($update_billing_postcode)) . "',
			billing_country = '" . tep_db_input(stripslashes($update_billing_country)) . "',";
		   }
		     $UpdateOrders .= " delivery_name = '" . tep_db_input(stripslashes($update_delivery_name)) . "',
			delivery_company = '" . tep_db_input(stripslashes($update_delivery_company)) . "',
			delivery_street_address = '" . tep_db_input(stripslashes($update_delivery_street_address)) . "',
			delivery_suburb = '" . tep_db_input(stripslashes($update_delivery_suburb)) . "',
			delivery_city = '" . tep_db_input(stripslashes($update_delivery_city)) . "',
			delivery_state = '" . tep_db_input(stripslashes($update_delivery_state)) . "',
			delivery_postcode = '" . tep_db_input(stripslashes($update_delivery_postcode)) . "',
			delivery_country = '" . tep_db_input(stripslashes($update_delivery_country)) . "',
			customers_telephone = '" . tep_db_input(stripslashes($update_customer_telephone)) . "',
		    customers_second_telephone = '" . tep_db_input(stripslashes($update_customer_second_telephone_number)) . "',
			customers_fax ='" . tep_db_input(stripslashes($update_customer_fax)) . "',
		    customers_second_email_address = '" . tep_db_input(stripslashes($update_customer_second_email_address)) . "',
			customers_email_address = '" . tep_db_input(stripslashes($update_customer_email_address)) . "'";
                }
		
        if ($UpdateOrders!=''){
 		   $UpdateOrders .= " where orders_id = '" . tep_db_prepare_input($oID) . "';";
   		   tep_db_query($UpdateOrders);
		}
		if ($step==2 && sizeof($update_products)>0){
		// Update Products and event items
		   $product_type=isset($HTTP_POST_VARS['products_type'])?$HTTP_POST_VARS['products_type']:'';
		   foreach($update_products as $orders_products_id => $products_details)
		   {
			// Update orders_products Table
			if($products_details["qty"] > 0)
			{
				$Query = "update " . TABLE_ORDERS_EDIT_PRODUCTS . " set
					products_model = '" . tep_db_input(stripslashes($products_details["model"])) . "',
					products_name = '" . tep_db_input(stripslashes($products_details["name"])) . "',
					final_price = '" . tep_db_input($products_details["final_price"]) . "',
					products_tax = '" . tep_db_input($products_details["tax"]) . "',
					products_quantity = '" . tep_db_input($products_details["qty"]) . "'
					where orders_products_id = '$orders_products_id';";
				tep_db_query($Query);
                       	
				// Update Any Attributes
				if(IsSet($products_details[attributes]))
				{
					foreach($products_details["attributes"] as $orders_products_attributes_id => $attributes_details)
					{
						$Query = "update " . TABLE_ORDERS_EDIT_PRODUCTS_ATTRIBUTES . " set
							products_options = '" . tep_db_input(stripslashes($attributes_details["option"])) . "',
							products_options_values = '" . tep_db_input($attributes_details["value"]) . "'
							where orders_products_attributes_id = '$orders_products_attributes_id';";
						tep_db_query($Query);
					}
				}
			}
			else
			{
				// 0 Quantity = Delete
				$Query = "delete from " . TABLE_ORDERS_EDIT_PRODUCTS . " where orders_products_id = '$orders_products_id';";
				tep_db_query($Query);
				$Query = "delete from " . TABLE_ORDERS_EDIT_PRODUCTS_ATTRIBUTES . " where orders_products_id = '$orders_products_id';";
				tep_db_query($Query);
			}
		   }
		 }
		if (USE_CACHE == 'true') {
		    tep_reset_cache_block(TABLE_EDIT_ORDERS_PRODUCTS_ATTRIBUTES);
		    tep_reset_cache_block(TABLE_EDIT_ORDERS_PRODUCTS);
		    tep_reset_cache_block(TABLE_ORDERS);
		}
		   if ($step>=4){
		   tep_redirect(tep_href_link("orders.php", 'oID=' . $oID . '&page=1&action=edit'));}
		else
		{
		  if ($step==2){
		    if ($product_type=="E") tep_redirect(tep_href_link("edit_orders.php",'oID=' . $oID . '&step=4&type=' . $product_type));
		  }
		  $step=$step+1;
		  tep_redirect(tep_href_link("edit_orders.php", 'oID=' . $oID . '&step=' . $step . '&type=' . $product_type));
		}  
	break;
    }
  }

?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/general.js"></script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF">
<!-- header //-->
<?php
	include('includes/date_format_js.php');
  require(DIR_WS_INCLUDES . 'header.php');
?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="1" cellpadding="1" class="columnLeft">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
<script language="javascript">    
   function validateForm(){
      var error_result="";
      var select_payment=0;
<?php if($step==1) { ?>
	if(document.edit_order.update_customer_name)
      if (document.edit_order.update_customer_name.value=="")
         error_result="<?php echo tep_db_input(ERR_CUSTOMER . ERR_NAME); ?>";
      else if (document.edit_order.update_customer_street_address.value=="")
         error_result="<?php echo tep_db_input(ERR_CUSTOMER . ERR_ADDRESS); ?>";
      else if (document.edit_order.update_customer_suburb.value=="")
         error_result="<?php echo tep_db_input(ERR_CUSTOMER . ERR_SUBURB); ?>";
      else if (document.edit_order.update_customer_city.value=="")
         error_result="<?php echo tep_db_input(ERR_CUSTOMER . ERR_CITY); ?>";
      else if (document.edit_order.update_customer_state.value=="")
         error_result="<?php echo tep_db_input(ERR_CUSTOMER . ERR_STATE); ?>";
      else if (document.edit_order.update_customer_postcode.value=="")
         error_result="<?php echo tep_db_input(ERR_CUSTOMER . ERR_POSTCODE); ?>";
      else if (document.edit_order.update_customer_country.value=="")
         error_result="<?php echo tep_db_input(ERR_CUSTOMER . ERR_COUNTRY); ?>";
<?php } 
      if($step==12) {?>
        if (document.edit_order.products_check.value!="valid")
         error_result="<?php echo tep_db_input(ERR_SELECT_PRODUCTS); ?>";
<?php } 
  if ($step==3){
   if($SeparateBillingFields) { ?>
      if (document.edit_order.update_billing_name.value=="")
         error_result="<?php echo tep_db_input(ERR_BILLING . ERR_NAME); ?>";
      else if (document.edit_order.update_billing_street_address.value=="")
         error_result="<?php echo tep_db_input(ERR_BILLING . ERR_ADDRESS); ?>";
      else if (document.edit_order.update_billing_city.value=="")
         error_result="<?php echo tep_db_input(ERR_BILLING . ERR_CITY); ?>";
      else if (document.edit_order.update_billing_state.value=="")
         error_result="<?php echo tep_db_input(ERR_BILLING . ERR_STATE); ?>";
      else if (document.edit_order.update_billing_postcode.value=="")
         error_result="<?php echo tep_db_input(ERR_BILLING . ERR_POSTCODE); ?>";
      else if (document.edit_order.update_billing_country.value=="")
         error_result="<?php echo tep_db_input(ERR_BILLING . ERR_COUNTRY); ?>";
<? } ?>
     if (error_result==""){
      if (document.edit_order.update_delivery_name.value=="")
         error_result="<?php echo tep_db_input(ERR_DELIVERY . ERR_NAME); ?>";
      else if (document.edit_order.update_delivery_street_address.value=="")
         error_result="<?php echo tep_db_input(ERR_DELIVERY . ERR_ADDRESS); ?>";
      else if (document.edit_order.update_delivery_city.value=="")
         error_result="<?php echo tep_db_input(ERR_DELIVERY . ERR_CITY); ?>";
      else if (document.edit_order.update_delivery_state.value=="")
         error_result="<?php echo tep_db_input(ERR_DELIVERY . ERR_STATE); ?>";
      else if (document.edit_order.update_delivery_postcode.value=="")
         error_result="<?php echo tep_db_input(ERR_DELIVERY . ERR_POSTCODE); ?>";
      else if (document.edit_order.update_delivery_country.value=="")
         error_result="<?php echo tep_db_input(ERR_DELIVERY . ERR_COUNTRY); ?>";
      else if (document.edit_order.update_customer_telephone.value=="")
         error_result="<?php echo tep_db_input(ERR_TELEPHONE_NUMBER); ?>";
      else if (document.edit_order.update_customer_email_address.value.indexOf("@")==-1 || document.edit_order.update_customer_email_address.value.indexOf(".")==-1)
         error_result="<?php echo tep_db_input(ERR_EMAIL_ADDRESS); ?>";
      else if (document.edit_order.update_customer_email_address.value!=document.edit_order.update_customer_confirm_email_address.value)
      	error_result="<?php echo tep_db_input(JS_EMAIL_CONFIRM_ADDRESS); ?>";
      else if (document.edit_order.update_customer_second_email_address.value!="" && (document.edit_order.update_customer_second_email_address.value.indexOf("@")==-1 || document.edit_order.update_customer_second_email_address.value.indexOf(".")==-1))
     		error_result="<?php echo tep_db_input(ENTRY_SECOND_EMAIL_ADDRESS_CHECK_ERROR); ?>";	
          
     }
<?php } ?>
      if (error_result!=""){
         alert(error_result); 
	 	 return false;
	 }
      return true;
   }


</script>
<?php
  if ($order_exists == true && $action=='') {
    $order_detail = new order($oID);
?>

      <tr>
        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?> #<?php echo $oID; ?></td>
            <td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', 1, HEADING_IMAGE_HEIGHT); ?></td>
            <td class="pageHeading" align="right"><?php echo '<a href="' . tep_href_link(FILENAME_ORDERS, 'oID=' . $oID . '&action=edit') . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>'; ?></td>
          </tr>
        </table></td>
      </tr>
<!-- Begin Addresses Block -->

  <?php 
  // set action depend on step value
  if ($step==4) {?>
  
      <tr><?php echo tep_draw_form('edit_order', FILENAME_EDIT_ORDERS_CONFIRM, 'oID=' . $oID,'post','onSubmit="return validateForm()"'); ?>
  <?php } else {?>
      <tr><?php echo tep_draw_form('edit_order', FILENAME_EDIT_ORDERS, 'oID=' . $oID  . '&action=update_order&step=' . $step,'post','onSubmit="return validateForm()"'); ?>  
  <?php } ?>
	<td valign=top><table width="100%" border="0" cellspacing="0" cellpadding="2">

<?php if ($step==3){ ?>
       <?php if($SeparateBillingFields) { ?>
	  <tr>
	    <td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif','1','5'); ?></td>
	  </tr>
	  <tr>
	    <td colspan="2" class="main" valign="top"><b><?php echo ENTRY_BILLING_ADDRESS; ?></b></td>
	  </tr>
	  <tr>
	    <td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif','1','3'); ?></td>
	  </tr>
	  <tr>
	    <td valign="top">
	    <!-- Billing Address Block -->
		<table border="0" cellspacing="2  " cellpadding="2" class="formArea" width=60%>
		<tr>
		    <td class="main" width=30%><?php echo TEXT_NAME; ?></td>
		    <td class="main"><?php echo tep_draw_input_field('update_billing_name',tep_html_quotes($order_detail->billing['name']),'size=37',true); ?></td>
		</tr>
		<tr>
		    <td class="main"><?php echo TEXT_COMPANY; ?></td>
		    <td class="main"><?php echo tep_draw_input_field('update_billing_company',tep_html_quotes($order_detail->billing['company']),'size=37'); ?></td>
		</tr>
		<tr>
		    <td class="main"><?php echo TEXT_ADDRESS; ?></td>
		    <td class="main"><?php echo tep_draw_input_field('update_billing_street_address',tep_html_quotes($order_detail->billing['street_address']),'size=37',true); ?></td>
		</tr>
		<tr>
		    <td class="main"><?php echo TEXT_SUBURB; ?></td>
		    <td class="main"><?php echo tep_draw_input_field('update_billing_suburb',tep_html_quotes($order_detail->billing['suburb']),'size=37'); ?></td>
		</tr>
		<tr>
		    <td class="main"><?php echo TEXT_CITY; ?></td>
		    <td class="main"><?php echo tep_draw_input_field('update_billing_city',tep_html_quotes($order_detail->billing['city']),'size=37',true); ?></td>
		</tr>
		<tr>
		    <td class="main"><?php echo TEXT_STATE; ?></td>
		    <td class="main"><?php echo tep_draw_input_field('update_billing_state',tep_html_quotes($order_detail->billing['state']),'size=37',true); ?></td>
		</tr>
		<tr>
		    <td class="main"><?php echo TEXT_POSTCODE; ?></td>
		    <td class="main"><?php echo tep_draw_input_field('update_billing_postcode',tep_html_quotes($order_detail->billing['postcode']),'size=37',true); ?></td>
		</tr>
		<tr>
		    <td class="main"><?php echo TEXT_COUNTRY; ?></td>
		    <td class="main"><?php echo tep_draw_input_field('update_billing_country',tep_html_quotes($order_detail->billing['country']),'size=37',true); ?></td>
		</tr>
		</table>
	    </td>
	    </tr>
<? } ?>
	  <tr>
	    <td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif','1','5'); ?></td>
	  </tr>
	  <tr>
	    <td colspan="2" class="main" valign="top"><b><?php echo ENTRY_SHIPPING_ADDRESS; ?></b></td>
	  </tr>
	  <tr>
	    <td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif','1','3'); ?></td>
	  </tr>
	  <tr>
	    <td valign="top">
	    <!-- Shipping Address Block -->
		<table border="0" cellspacing="2" cellpadding="2" class="formArea" width=60%>
		<tr>
		    <td class="main" width=30%><?php echo TEXT_NAME; ?></td>
		    <td class="main"><?php echo tep_draw_input_field('update_delivery_name',tep_html_quotes($order_detail->delivery['name']),'size=37',true); ?></td>
		</tr>
		<tr>
		    <td class="main"><?php echo TEXT_COMPANY; ?></td>
		    <td class="main"><?php echo tep_draw_input_field('update_delivery_company',tep_html_quotes($order_detail->delivery['company']),'size=37'); ?></td>
		</tr>
		<tr>
		    <td class="main"><?php echo TEXT_ADDRESS; ?></td>
		    <td class="main"><?php echo tep_draw_input_field('update_delivery_street_address',tep_html_quotes($order_detail->delivery['street_address']),'size=37',true); ?></td>
		</tr>
		<tr>
		    <td class="main"><?php echo TEXT_SUBURB; ?></td>
		    <td class="main"><?php echo tep_draw_input_field('update_delivery_suburb',tep_html_quotes($order_detail->delivery['suburb']),'size=37'); ?></td>
		</tr>
		<tr>
		    <td class="main"><?php echo TEXT_CITY; ?></td>
		    <td class="main"><?php echo tep_draw_input_field('update_delivery_city',tep_html_quotes($order_detail->delivery['city']),'size=37',true); ?></td>
		</tr>
		<tr>
		    <td class="main"><?php echo TEXT_STATE; ?></td>
		    <td class="main"><?php echo tep_draw_input_field('update_delivery_state',tep_html_quotes($order_detail->delivery['state']),'size=37',true); ?></td>
		</tr>
		<tr>
		    <td class="main"><?php echo TEXT_POSTCODE; ?></td>
		    <td class="main"><?php echo tep_draw_input_field('update_delivery_postcode',tep_html_quotes($order_detail->delivery['postcode']),'size=37',true); ?></td>
		</tr>
		<tr>
		    <td class="main"><?php echo TEXT_COUNTRY; ?></td>
		    <td class="main"><?php echo tep_draw_input_field('update_delivery_country',tep_html_quotes($order_detail->delivery['country']),'size=37',true); ?></td>
		</tr>
		</table>
	    </td>
	  </tr>
	  <tr>
	    <td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif','1','10'); ?></td>
	  </tr>
          <tr>
          <td><table border="0" cellspacing="2" cellpadding="2" class="formArea" width=60%>
      		<tr>
      		  <td class="main" width="30%"><?php echo ENTRY_TELEPHONE_NUMBER; ?></td>
     		  <td class="main"><?php echo tep_draw_input_field('update_customer_telephone',$order_detail->customer['telephone'],'size=15',true); ?></td>
      		</tr>
              <?php if (ACCOUNT_SECOND_PHONE=='true') { ?>
		<tr>
		    <td class="main"><?php echo TEXT_SECOND_TELEPHONE; ?></td>
		    <td class="main"><?php echo tep_draw_input_field('update_customer_second_telephone_number',tep_html_quotes($order_detail->customer['second_telephone']),'size=15'); ?></td>
		</tr>
	      <?php } ?>
		<tr>
		    <td class="main"><?php echo TEXT_MOBILE; ?></td>
		    <td class="main"><?php echo tep_draw_input_field('update_customer_fax',tep_html_quotes($order_detail->customer['fax']),'size=15'); ?></td>
		</tr>
      		<tr>
      		  <td class="main"><?php echo ENTRY_EMAIL_ADDRESS; ?></td>
      		  <td class="main"><?php echo tep_draw_input_field('update_customer_email_address',$order_detail->customer['email_address'],'size=37',true); ?></td>
      		</tr>
      		<tr>
      		  <td class="main"><?php echo ENTRY_CONFIRM_EMAIL_ADDRESS; ?></td>
      		  <td class="main"><?php echo tep_draw_input_field('update_customer_confirm_email_address',$order_detail->customer['email_address'],'size=37',true); ?></td>
      		</tr>
               <?php if (ACCOUNT_SECOND_EMAIL=='true') { ?>
				<tr>
			     <td class="main"><?php echo TEXT_SECOND_EMAIL; ?></td>
			     <td class="main"><?php echo tep_draw_input_field('update_customer_second_email_address',tep_html_quotes($order_detail->customer['second_email_address'])); ?></td>
				</tr> 
				
	       <?php } ?>
      	      </table></td>
          </tr>
	</table></td>
      </tr>
<!-- End Addresses Block -->
<?php } ?>
<?php if ($step==4) {
    tep_session_unregister('payment');
      $tax=0.0;
	   $updated_subtotal=0.0;
		$updated_tax=0.0;
		$updated_total=0.0;
		$present_total=0.0;
		$net_amount=0.0;
		$orders_products_query = tep_db_query("select * from " . TABLE_ORDERS_EDIT_PRODUCTS . " where orders_id = '" . (int)$oID . "'");
		while ($orders_products = tep_db_fetch_array($orders_products_query)) {
		  $tax = (($orders_products['products_tax'] / 100) * (($orders_products['products_quantity'] * $orders_products['final_price'])));
  		  $updated_subtotal += ((($orders_products['products_quantity'] * $orders_products['final_price']))+$tax);
		  $updated_tax+=$tax;
                }
		$updated_total=$updated_subtotal; 
		$totals_query = tep_db_query("select value from " . TABLE_ORDERS_TOTAL . " where orders_id = '" . (int)$oID . "' and class='ot_total'");
        
      $totals=tep_db_fetch_array($totals_query);
		if (isset($totals['value']))
		  $present_total=(float)$totals['value'];
		  		
		$payment_query=tep_db_query("select payment_method from " . TABLE_ORDERS . " where orders_id= '" . (int)$oID . "'");
		$payment_result=tep_db_fetch_array($payment_query);
		$payment_method='';
		$net_amount=0;
		if (isset($payment_result['payment_method']))
		  $payment_method=$payment_result['payment_method'];
		if ($payment_method=='Cash' || $payment_method=='Credit Card'){
		  if ($present_total>$updated_total){
		   $pay_type='refund';
		   $display_title='admin';
		   $net_amount=$present_total-$updated_total;}
		  else if ($present_total<$updated_total){
		   $display_title='customer';
		   $pay_type='getamount';
		   $net_amount=$updated_total-$present_total;}
		} else if ($payment_method=='change'){
         $net_amount=$present_total;
		   $display_title='customer';
		} else {
		  if ($updated_total<>$present_total){
		    if ($updated_total>0){
		       $net_amount=$updated_total;
		       $display_title='customer';
		    }
		    else
		    {
		       $display_title='admin';
		       $net_amount=$present_total;
		    }
		  }
		}
		if ($net_amount==0) 
		   $pay_type='Nil';
		else
	  	   $pay_type='getamount';
   $payment_modules=new payment();
   	$net_amount=tep_get_rounded_amount($net_amount);
	$update_details=false;
	if ($updated_total>0 && strval($updated_total)==strval($present_total)) $update_details=true;
?>
<?php  if (isset($HTTP_GET_VARS['error_message'])){ ?>
          <tr><td colspan="2" class='main'><font color=red><?php echo $HTTP_GET_VARS['error_message']; ?></font></td></tr>
       <tr>
	<td><?php echo tep_draw_separator('pixel_trans.gif', '1', '5'); ?></td>
      </tr>
<?php } 
      if (isset($HTTP_GET_VARS['payment_error']) && is_object(${$HTTP_GET_VARS['payment_error']}) && ($error = ${$HTTP_GET_VARS['payment_error']}->get_error())) {?>
        <tr><td>
 	  <table border="0" width="100%" cellspacing="0" cellpadding="0">
	    <tr><td align=left class='pageHeading' colspan='2'><?php echo tep_output_string_protected($error['title']); ?></td></tr>
	  </table></td></tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="1" cellpadding="2" bgcolor="#ff6c6c">
          <tr class="infoBoxNoticeContents">
            <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr>
                <td><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
                <td class="main" width="100%" valign="top"><font color=white><?php echo $error['error']; ?></font></td>
                <td><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
	<td><?php echo tep_draw_separator('pixel_trans.gif', '1', '5'); ?></td>
      </tr>
<?php } ?>
      <tr>
	<td><?php echo tep_draw_separator('pixel_trans.gif', '1', '5'); ?></td>
      </tr>
	<script language="JavaScript">
		function updateDetail(){
			document.edit_order.detail_only.value=1;
			document.edit_order.submit();
		}
	</script>
	<tr>
	   <td class="main"><b><?php echo TEXT_PAYMENT_AMOUNT; ?></b></td>
	</tr>
      <tr>
	<td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif','1','3'); ?></td>
      </tr>
      <tr>
	    <td align=left>
	    	<table border="0" cellspacing="2" cellpadding="2" width="60%" class=formArea>
		<tr>
	    	<td align='right'>
	    	<table border="0" cellspacing="2" cellpadding="2" align=left>
		    <tr><td class=main align=right><?php echo TEXT_UPDATED_TOTAL ?></td>
		        <td class=smallText align=right><b><?php echo $currencies->format($net_amount); ?></b>
			 	<input type=hidden name='amount' value='<?php echo $net_amount; ?>'>
				<input type=hidden name="tax_amount" value="<?php echo $updated_tax; ?>">
			 	<input type=hidden name='detail_only' value='0'>
			 </td>
		    </tr>
	    	</table>
	    	</td>
	    	</tr></table></td></tr>

<?php 
if(!tep_session_is_registered('net_amount'))
		tep_session_register('net_amount');
	if(!tep_session_is_registered('updated_tax'))
		tep_session_register('updated_tax');	
if ($net_amount!=0){ ?>
      <tr>
	<td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif','1','5'); ?></td>
      </tr>
	<tr>
	   <td class="main">
	                 <?php if ($display_title=='customer')
			          echo '<b>' . TEXT_CUSTOMER_PAYMENT_METHOD . '&nbsp;</b>' . TEXT_CUSTOMER_INFO;
			       else
			          echo '<b>' . TEXT_ADMIN_PAYMENT_METHOD . '&nbsp;</b>' . TEXT_ADMIN_INFO;
			 ?></td>
	</tr>
      <tr>
	<td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif','1','3'); ?></td>
      </tr>
<!-- Begin Payment Block -->
      <tr>
        <td><table border="0" width="60%" cellspacing="1" cellpadding="2" class="formArea">
          <tr class="infoBoxContents">
            <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
<?php
 $order_timestamp=time();
 $order=new order($oID);
 $referenceID= substr(strtolower($order_detail->customer['firstname']),0,3) . substr(strtolower($order_detail->customer['lastname']),0,3) . $order_timestamp ;
  if (!tep_session_is_registered('referenceID')) tep_session_register('referenceID');
  
  $selection = $payment_modules->selection();
  if (sizeof($selection) > 1) {
?>
              <tr>
                <td><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
                <td class="main" width="50%" valign="top"><b><?php echo TEXT_SELECT_PAYMENT_METHOD; ?></b></td>
                <td class="main" width="50%" valign="top" align="right"><b><?php echo TITLE_PLEASE_SELECT; ?></b><br><?php echo tep_image(DIR_WS_IMAGES . 'arrow_east_south.gif'); ?></td>
                <td><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
              </tr>
<?php
  } else {
?>
              <tr>
                <td><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
                <td class="main" width="100%" colspan="2"><?php echo TEXT_ENTER_PAYMENT_INFORMATION; ?></td>
                <td><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
              </tr>
<?php
  }
	$flag='B';
	 $radio_buttons = 0;
	 $item_count=0;
  //$cnt=1;
	$service_query=tep_db_query("select op.* from ". TABLE_ORDERS_EDIT_PRODUCTS . " op ," .TABLE_ORDERS . " o where o.orders_id=op.orders_id and op.orders_id='".$oID."'");
	while($service_result=tep_db_fetch_array($service_query)){
		if($service_result['products_type']=='S' || $service_result['products_type']=='P' || $service_result['products_type']=='E')
			$item_count+=1;
	}
  for ($i=0, $n=sizeof($selection); $i<$n; $i++) {
  	if($selection[$i]['id']=='internal'){
		if($item_count>=1){
			$i++;
		}
	 }
  	
?>  
              <tr>
                <td><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
                <td colspan="2"><table border="0" width="100%" cellspacing="0" cellpadding="2">
<?php
	
    if ( ($selection[$i]['id'] == $payment) || ($n == 1) ) 
		echo '<tr id="defaultRow" class="moduleRowSelected" onmouseover="rowOverEffect2(this)" onmouseout="rowOutEffect2(this)" onclick="selectRowEffect2(this, ' . $radio_buttons . ',\'', $selection[$i]['id'] . '\')">' . "\n";
    else 
		echo '<tr class="moduleRow" onmouseover="rowOverEffect2(this)" onmouseout="rowOutEffect2(this)" onclick="selectRowEffect2(this, ' . $radio_buttons . ',\'', $selection[$i]['id'] . '\')">' . "\n";

?>
                    <td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
                    <td class="main" colspan="3"><b><?php echo $selection[$i]['module']; ?></b></td>
                    <td class="main" align="right">
<?php
    $individual_payment=false;
    if (sizeof($selection) > 1) {
      echo tep_draw_radio_field('payment', $selection[$i]['id']);
    } else {
	$individual_payment=true;
      echo tep_draw_hidden_field('payment', $selection[$i]['id']);
    }
    echo "<input type=hidden name=check_payment value='" . $selection[$i]['module'] . "'>";
	
?>
                    </td>
                    <td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
                  </tr>
				
<?php
    if (isset($selection[$i]['error'])) {
?>
                  <tr>
                    <td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
                    <td class="main" colspan="4"><?php echo $selection[$i]['error']; ?></td>
                    <td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
                  </tr>
<?php
    } elseif (isset($selection[$i]['fields']) && is_array($selection[$i]['fields'])) {
		 ?>
		  <tr <?php if(!$individual_payment){?> id="<?php echo $selection[$i]['id'];?>" <?php echo ($payment!=$selection[$i]['id']?'style="display:none"':'');}?>>
			  <!-- <tr id="<?php //echo $selection[$i]['id'];?>" <?php //echo ($payment!=$selection[$i]['id']?'style="display:none"':'');?>> -->
                    <td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
                    <td colspan="4"><table border="0" cellspacing="0" cellpadding="2">
<?php
      for ($j=0, $n2=sizeof($selection[$i]['fields']); $j<$n2; $j++) {
?>
                      <tr>
                        <td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
                        <td class="main"><?php echo $selection[$i]['fields'][$j]['title']; ?></td>
                        <td><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
                        <td class="main"><?php echo $selection[$i]['fields'][$j]['field']; ?></td>
                        <td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
                      </tr>
				<?php   } ?>
                    </table></td></tr>
		          <tr><td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
                  </tr>
<?php
    }
	
?>
                </table></td>
                <td><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
              </tr>
<?php
    $radio_buttons++;
    //$cnt++;
	
  }
?>
            </table></td>
          </tr>
        </table></td>
<script language="javascript">
	previousPaymentSelected="<?php echo $payment;?>";
</script>			
<!-- End Payment Block -->
<?php } ?>
      </tr></table></td></tr>
<?php } ?>
<?php if ($step==2) {?>
	<script language="javascript">
		function do_actions(type,mode){
			var select_box;
			var ids="";
			switch(type){
				case "product":
					if (mode=="edit"){
						action_url="<?php echo tep_href_link(FILENAME_ADDPRODUCTS,"oID=$oID&action=add_product&mode=edit&id=");?>";
					} else {
						action_url="<?php echo tep_href_link(FILENAME_EDIT_ORDERS,"oID=$oID&action=delete_item&id=");?>";
					}
					select_box=document.edit_order.elements["select_products"];
					break;
				case "event":
					break;
				case "subscription":
					if (mode=="edit"){
						action_url="<?php echo tep_href_link(FILENAME_ADDSUBSCRIPTIONS,"oID=$oID&action=add_subscription&mode=edit&id=");?>";
					} else {
						action_url="<?php echo tep_href_link(FILENAME_EDIT_ORDERS,"oID=$oID&action=delete_item&id=");?>";
					}
					select_box=document.edit_order.elements["select_subscriptions"];
					break;
				case "service":
				 if (mode=="edit"){
						action_url="<?php echo tep_href_link(FILENAME_ADD_SERVICES,"oID=$oID&mode=edit&id=");?>";
					} else {
						action_url="<?php echo tep_href_link(FILENAME_EDIT_ORDERS,"oID=$oID&action=delete_item&id=");?>";
					}
					select_box=document.edit_order.elements["select_service"];
					break;
			}
			if (select_box[0]){
				for (icnt=0;icnt<select_box.length;icnt++){
					if (select_box[icnt].checked){
						ids=ids+select_box[icnt].value+",";
						if (mode=="edit") break;
					}
				}
				if (ids!="") ids=ids.substr(0,ids.length-1);
			} else {
				if (select_box.checked){
					ids=select_box.value;
				}
			}
			if (ids==""){
				alert((mode=="edit"?"<?php echo ERR_SELECT_EDIT;?>":"<?php echo ERR_SELECT_DELETE;?>"));
				return;
			}
			action_url=action_url+ids;
			location.href=action_url;
		}
		function do_actions_event(mode){
			var select_box=document.edit_order.elements["select_events"];
			var select_type=document.edit_order.elements["select_type"];
			var ids="";
			var id_types="";
			var edit_type="";
			if (mode=="edit"){
				action_url="<?php echo tep_href_link(FILENAME_ADD_EVENTS,"oID=$oID&mode=edit");?>";
			} else {
				action_url="<?php echo tep_href_link(FILENAME_EDIT_ORDERS,"oID=$oID&action=delete_event&id=");?>";
			}
			if (select_box[0]){
				for (icnt=0;icnt<select_box.length;icnt++){
					if (select_box[icnt].checked){
						if (mode=="delete"){
							id_types=id_types+(select_type[icnt].value=="group"?"g":"s")+",";
						}
						edit_type=select_type[icnt].value;
						ids=ids+select_box[icnt].value+",";
						if (mode=="edit") break;
					}
				}
				if (ids!="") ids=ids.substr(0,ids.length-1);
				if (id_types!="") id_types=id_types.substr(0,id_types.length-1);
			} else {
				if (select_box.checked){
					if (mode=="delete"){
						id_types=(select_type.value=="group"?"g":"s");
					}
					edit_type=select_type.value;
					ids=select_box.value;
				}
			}
			if (ids==""){
				alert((mode=="edit"?"<?php echo ERR_SELECT_EDIT;?>":"<?php echo ERR_SELECT_DELETE;?>"));
				return;
			}
			if (mode=="edit" && edit_type=="group"){
				action_url=action_url+"&eId="+ids;
			} else if (mode=="edit"){
				action_url=action_url+"&id="+ids;
			} else {
				action_url=action_url+ids+"&id_types="+id_types;
			}
			location.href=action_url;
		}
	</script>
	<tr>
		<td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
	</tr>
	<!-- Begin Hide Products -->
    <?php if(HIDE_FROM_BACKEND_MENU_PRODUCTS=='false'){?>
      <tr>
	<td class=main><b><?php echo TEXT_HEADING_PRODUCTS; ?></b></td>
      </tr>
      <tr>
	<td><?php echo tep_draw_separator('pixel_trans.gif', '1', '3'); ?></td>
      </tr>
  <!-- Begin Products Listing Block -->
      <tr>
	<td><table border="0" width="100%" cellspacing="2" cellpadding="2" class="formArea">
	  <tr class="attributes-odd" height=30>
	    <td class="main" width=40><b><?php echo TABLE_HEADING_ACTION; ?></b></td>
	    <td class="main" colspan="2" align=center><b><?php echo TABLE_HEADING_PRODUCTS; ?></b></td>
	    <td class="main"><b><?php echo TABLE_HEADING_PRODUCTS_MODEL; ?></b></td>
	    <td class="main" align="center"><b><?php echo TABLE_HEADING_TAX; ?></b></td>
	    <td class="main" align="right"><b><?php echo TABLE_HEADING_UNIT_PRICE; ?></b></td>
	    <td class="main" align="right"><b><?php echo TABLE_HEADING_TOTAL_PRICE; ?></b></td>
	  </tr>

	<!-- Begin Products Listings Block -->
	<?
      	// Override order.php Class's Field Limitations
		
		$edit_attendees=false;
		$max_attendees=0;
	    $RunningSubTotal=0.0;
		$Tax=0.0;
		$RunningTax=0.0;
		$Total=0.0;
		$index = 0;
		$products_check=0;
		$order_detail->products = array();
		$orders_products_sql = "select * from " . TABLE_ORDERS_EDIT_PRODUCTS . " where orders_id = '" . (int)$oID . "' and products_type='P'";
		$orders_products_query = tep_db_query($orders_products_sql);
		while ($orders_products = tep_db_fetch_array($orders_products_query)) {
		$order_detail->products[$index] = array('qty' => $orders_products['products_quantity'],
										'name' => str_replace("'", "&#39;", $orders_products['products_name']),
                                        'model' => $orders_products['products_model'],
                                        'tax' => $orders_products['products_tax'],
                                        'price' => $orders_products['products_price'],
                                        'final_price' => $orders_products['final_price'],
										'products_type' => $orders_products['products_type'],
                                        'orders_products_id' => $orders_products['orders_products_id']);
		$subindex = 0;
		
		$attributes_query_string = "select * from " . TABLE_ORDERS_EDIT_PRODUCTS_ATTRIBUTES . " where orders_id = '" . (int)$oID . "' and orders_products_id = '" . (int)$orders_products['orders_products_id'] . "' order by products_options_id";
	//	echo $attributes_query_string;
		$attributes_query = tep_db_query($attributes_query_string);

		if (tep_db_num_rows($attributes_query)) {
		while ($attributes = tep_db_fetch_array($attributes_query)) {
		
		  $order_detail->products[$index]['attributes'][$subindex] = array('option' => $attributes['products_options'],
		  														   'optionid' => $attributes['products_options_id'],
		                                                           'value' => $attributes['products_options_values'],
																   'valueid' => $attributes['products_options_values_id'],
		                                                           'prefix'=> $attributes['price_prefix'],
		                                                           'price' => $attributes['options_values_price'],
		                                                           'orders_products_attributes_id' => $attributes['orders_products_attributes_id']);
												   
		$subindex++;
		}
		}
		$Tax=(($order_detail->products[$index]['tax'] / 100) * ($order_detail->products[$index]['qty'] * $order_detail->products[$index]['final_price']));
		$RunningSubTotal += ((($order_detail->products[$index]['qty'] * $order_detail->products[$index]['final_price']))+$Tax);
		$RunningTax+=$Tax;
		$index++;
		}
		$Total=$RunningSubTotal;
		$product_type="";
		$product_count=0;
	for ($i=0; $i<sizeof($order_detail->products); $i++) {
		$product_type="P";
		$orders_products_id = $order_detail->products[$i]['orders_products_id'];
		$producttype=$order_detail->products[$i]['products_type'];
		$readonly="";
		if($producttype=='E'){
			$readonly="readonly";
		}
		else{
			$readonly="";
		}
		$RowStyle = "dataTableContent";
		echo '	  <tr class="' .  (floor($i/2) == ($i/2) ? 'attributes-even' : 'attributes-odd') . '">' . "\n" .
		   '        <td class="' . $RowStyle . '" valign="top" align="right">' . tep_draw_checkbox_field("select_products",$orders_products_id,'') . '</td>' .
		   '	    <td class="' . $RowStyle . '" valign="top" align="right">' . "<input name='update_products[$orders_products_id][qty]'  size='2' value='" . $order_detail->products[$i]['qty'] . "' " . $readonly . ">&nbsp;x</td>\n" . 
		   '	    <td class="' . $RowStyle . '" valign="top">' . "<input name='update_products[$orders_products_id][name]' size='40' value='" . $order_detail->products[$i]['name'] . "'>";
		
		// Has Attributes?
		if (sizeof($order_detail->products[$i]['attributes']) > 0) {
			for ($j=0; $j<sizeof($order_detail->products[$i]['attributes']); $j++) {
				$orders_products_attributes_id = $order_detail->products[$i]['attributes'][$j]['orders_products_attributes_id'];
				echo '<br><nobr><small>&nbsp;<i> - ' . "<input name='update_products[$orders_products_id][attributes][$orders_products_attributes_id][option]' size='6' value='" . $order_detail->products[$i]['attributes'][$j]['option'] . "'>" . ': ' . "<input name='update_products[$orders_products_id][attributes][$orders_products_attributes_id][value]' size='10' value='" . $order_detail->products[$i]['attributes'][$j]['value'] . "'>";
				echo '</i></small></nobr>';
			}
		}
		echo '	    </td>' . "\n" .
		     '      <td class="' . $RowStyle . '" valign="top">' . "<input name='update_products[$orders_products_id][model]' size='12' readonly=true value='" . $order_detail->products[$i]['model'] . "'>" . '</td>' . "\n" .
		     '	    <td class="' . $RowStyle . '" align="center" valign="top">' . "<input name='update_products[$orders_products_id][tax]' size='3' value='" . tep_display_tax_value($order_detail->products[$i]['tax']) . "'>" . '%</td>' . "\n" .
		     '	    <td class="' . $RowStyle . '" align="right" valign="top">' . $currencies->format($order_detail->products[$i]['final_price'] , true, $order_detail->info['currency'], $order_detail->info['currency_value']) . '</td>' . "\n" . 
			 "<input type='hidden' name='update_products[$orders_products_id][final_price]' size='5' value='" . number_format($order_detail->products[$i]['final_price'], 2, '.', '') . "'>" .
			 '	    <td class="' . $RowStyle . '" align="right" valign="top">' . $currencies->format($order_detail->products[$i]['final_price'] * $order_detail->products[$i]['qty'], true, $order_detail->info['currency'], $order_detail->info['currency_value']) . '</td>' . "\n" . 
		     '	  </tr>' . "\n";
		$products_check++;
		$product_count++;
	}
	?>
	<!-- End Products Listings Block -->
	
	<tr class="<?php echo (floor($i/2) == ($i/2) ? 'attributes-even' : 'attributes-odd');?>">
	    <td colspan=7 valign="middle">
			<?php 
				echo '<a href="' . tep_href_link(FILENAME_ADDPRODUCTS,"oID=$oID&action=add_product&step=1&mode=add") . '">' . tep_image_button('button_admin_add.gif',IMAGE_ADD_PRODUCT,'align=absmiddle') . '</a>&nbsp;';
				if ($product_count>0){
					echo '<a href="javascript:do_actions(\'product\',\'edit\')">' . tep_image_button('button_edit.gif',IMAGE_EDIT,'align=absmiddle'). '</a>&nbsp;<a href="javascript:do_actions(\'product\',\'delete\')">' . tep_image_button('button_delete.gif',IMAGE_DELETE,'align=absmiddle') . '</a>';
				}
			?>
	<tr>
	</table><td></tr>
    <?php } ?>
    <!-- end  for checking hide product -->		
      <tr><td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td></tr>
	<!-- Begin Hide Events -->
    <?php if(HIDE_FROM_BACKEND_MENU_EVENTS=='false'){?>
      <tr>
	<td class=main><b><?php echo TEXT_HEADING_EVENTS; ?></b></td>
      </tr>
      <tr>
	<td><?php echo tep_draw_separator('pixel_trans.gif', '1', '3'); ?></td>
      </tr>
<!-- Begin Events Listing Block -->
      <tr>
	<td><table border="0" width="100%" cellspacing="2" cellpadding="2" class="formArea">
	  <tr class="attributes-odd" height=30>
	    <td class="main" width=40><b><?php echo TABLE_HEADING_ACTION; ?></b></td>
	    <td class="main" colspan="2" align="center"><b><?php echo TABLE_HEADING_EVENTS; ?></b></td>
	    <td class="main"><b><?php echo TABLE_HEADING_EVENTS_SESSION; ?></b></td>
	    <td class="main" align="center"><b><?php echo TABLE_HEADING_TAX; ?></b></td>
	    <td class="main" align="right"><b><?php echo TABLE_HEADING_UNIT_PRICE; ?></b></td>
	    <td class="main" align="right"><b><?php echo TABLE_HEADING_TOTAL_PRICE; ?></b></td>
	  </tr>

	<!-- Begin Products Listings Block -->
	<?
      	// show the event details from the order
		$index = 0;
		$order_detail->products = array();
		$orders_products_query = tep_db_query("select s.start_date,s.events_id,op.orders_products_id,op.products_quantity,op.products_name,op.products_model,op.products_tax,op.products_price,op.final_price,op.products_type,op.events_type,op.waitlist_type from " . TABLE_ORDERS_EDIT_PRODUCTS . " op, " . TABLE_EVENTS_SESSIONS . " s where op.orders_id = '" . (int)$oID . "' and op.products_type='E' and op.products_id=s.sessions_id order by op.products_name,s.start_date");
		$events_style_waitlist=array();
		$prev_event=0;
		while ($orders_products = tep_db_fetch_array($orders_products_query)) {
		// fetch every event waiting list style into an array
		if ($prev_event!=$orders_products["events_id"]){
			$prev_event=$orders_products["events_id"];
			$events_style_waitlist[$prev_event]=0;
			$event_query=tep_db_query("SELECT session_style from " . TABLE_EVENTS . " where events_id='" . $prev_event ."'");
			$events_style_result=tep_db_fetch_array($event_query);
			if ($events_style_result["session_style"]=='E') $events_style_waitlist[$prev_event]=1;
		}
		if ($orders_products['products_quantity']>1){
			$edit_attendees=true;
			$max_attendees=$orders_products['products_quantity'];
		}
		
		// fetch the event details
		$order_detail->products[$index] = array('qty' => $orders_products['products_quantity'],
                                        'name' => str_replace("'", "&#39;", $orders_products['products_name']),
                                        'model' => format_date($orders_products['start_date']),
                                        'tax' => $orders_products['products_tax'],
                                        'price' => $orders_products['products_price'],
                                        'final_price' => $orders_products['final_price'],
										'products_type' => $orders_products['products_type'],
										'events_type'=>$orders_products['events_type'],
										'events_id'=>$orders_products['events_id'],
                                        'orders_products_id' => $orders_products['orders_products_id']);
		$subindex = 0;

		$attributes_query_string = "select * from " . TABLE_ORDERS_EDIT_PRODUCTS_ATTRIBUTES . " where orders_id = '" . (int)$oID . "' and orders_products_id = '" . (int)$orders_products['orders_products_id'] . "' order by products_options_id";
		$attributes_query = tep_db_query($attributes_query_string);

		if (tep_db_num_rows($attributes_query)) {
		while ($attributes = tep_db_fetch_array($attributes_query)) {
		  $order_detail->products[$index]['attributes'][$subindex] = array('option' => $attributes['products_options'],
		                                                           'value' => $attributes['products_options_values'],
		                                                           'prefix' => $attributes['price_prefix'],
		                                                           'price' => $attributes['options_values_price'],
		                                                           'orders_products_attributes_id' => $attributes['orders_products_attributes_id']);
		$subindex++;
		}
		}
		$Tax=(($order_detail->products[$index]['tax'] / 100) * ($order_detail->products[$index]['qty'] * $order_detail->products[$index]['final_price']));
		$RunningSubTotal += ((($order_detail->products[$index]['qty'] * $order_detail->products[$index]['final_price']))+$Tax);
		$RunningTax+=$Tax;
		$index++;
		}
		$Total=$RunningSubTotal;
		$prev_event=0;
		$event_count=0;	
	for ($i=0; $i<sizeof($order_detail->products); $i++) {
	    if ($product_type=="P") $product_type="M";
		else if ($product_type!="M") $product_type="E";
		
		$orders_products_id = $order_detail->products[$i]['orders_products_id'];
		$producttype=$order_detail->products[$i]['products_type'];
		$readonly="";
		if($producttype=='E'){
			$readonly="readonly";
		} else{
			$readonly="";
		}
		if ($order_detail->products[$i]['events_type']=='R') $color="#000000";
		else $color="#FFA715";
		$RowStyle = "dataTableContent";
		//check for events style waitlist
		if ($order_detail->products[$i]["events_type"]=='W' && $events_style_waitlist[$order_detail->products[$i]["events_id"]]==1){
			//  check the session item amount for none
			if ($order_detail->products[$i]['final_price']!=0){
				$prev_event=$order_detail->products[$i]["events_id"];
				echo '	  <tr height=30 class="' .  (floor($i/2) == ($i/2) ? 'attributes-even' : 'attributes-odd') . '">' . "\n" .
					 '        <td class="' . $RowStyle . '" valign="middle" align="right">'. tep_draw_checkbox_field("select_events",$prev_event) . tep_draw_hidden_field("select_type","group") . '</a></td>' .
					 '	    <td></td><td class="' . $RowStyle . '" valign="middle">' . $order_detail->products[$i]['name'] . "</td>\n" . 
					 '	    <td class="main" valign="middle"><font color="' . $color . '">' . TEXT_WAITLIST . "</font></td>\n" . 
					 '	    <td class="' . $RowStyle . '" valign="middle">' . tep_display_tax_value($order_detail->products[$i]['tax']) . "%</td>\n" . 
 					 '	    <td class="' . $RowStyle . '" valign="middle" align="right">' . number_format($order_detail->products[$i]['final_price'], 2, '.', '') . "</td>\n" . 
					 '	    <td class="' . $RowStyle . '" valign="middle" align="right">' . $currencies->format($order_detail->products[$i]['final_price'] * $order_detail->products[$i]['qty'], true, $order_detail->info['currency'], $order_detail->info['currency_value']) . "</td>\n";
			}
			echo	"<input type='hidden' name='update_products[$orders_products_id][qty]'   value='" . $order_detail->products[$i]['qty'] . "' " . $readonly . ">" . 
					"<input type='hidden' name='update_products[$orders_products_id][name]'  value='" . $order_detail->products[$i]['name'] . "'>" . 
		 			"<input type='hidden' name='update_products[$orders_products_id][model]' value='" . $order_detail->products[$i]['model'] . "'>" . 
					"<input type='hidden' name='update_products[$orders_products_id][tax]' value='" . tep_display_tax_value($order_detail->products[$i]['tax']) . "'>" . 
					"<input type='hidden' name='update_products[$orders_products_id][final_price]' value='" . number_format($order_detail->products[$i]['final_price'], 2, '.', '') . "'>";
		} else {
			echo '	  <tr height=30 class="' .  (floor($i/2) == ($i/2) ? 'attributes-even' : 'attributes-odd') . '">' . "\n" .
			   '        <td class="' . $RowStyle . '" valign="top" align="right">' . tep_draw_checkbox_field("select_events",$orders_products_id) . tep_draw_hidden_field("select_type","single") . '</td>' .
			   '	    <td class="' . $RowStyle . '" valign="top" align="right">' . "<input name='update_products[$orders_products_id][qty]'  size='2' value='" . $order_detail->products[$i]['qty'] . "' " . $readonly . ">&nbsp;x</td>\n" . 
			   '	    <td class="' . $RowStyle . '" valign="top" align="left">' . "<input name='update_products[$orders_products_id][name]' size='40' value='" . $order_detail->products[$i]['name'] . "'>";
	
			// Has Attributes?
			if (sizeof($order_detail->products[$i]['attributes']) > 0) {
				for ($j=0; $j<sizeof($order_detail->products[$i]['attributes']); $j++) {
					$orders_products_attributes_id = $order_detail->products[$i]['attributes'][$j]['orders_products_attributes_id'];
					echo '<br><nobr><small>&nbsp;<i> - ' . "<input name='update_products[$orders_products_id][attributes][$orders_products_attributes_id][option]' size='6' value='" . $order_detail->products[$i]['attributes'][$j]['option'] . "'>" . ': ' . "<input name='update_products[$orders_products_id][attributes][$orders_products_attributes_id][value]' size='10' value='" . $order_detail->products[$i]['attributes'][$j]['value'] . "'>";
					echo '</i></small></nobr>';
				}
			}

			echo '	    </td>' . "\n" .
				 '	    <td class="' . $RowStyle . '" valign="top">' . "<input name='update_products[$orders_products_id][model]' size='12' readonly=true value='" . $order_detail->products[$i]['model'] . "' style='color:" . $color . "'>" . '</td>' . "\n" .
				 '	    <td class="' . $RowStyle . '" align="center" valign="top">' . "<input name='update_products[$orders_products_id][tax]' size='3' value='" . tep_display_tax_value($order_detail->products[$i]['tax']) . "'>" . '%</td>' . "\n" .
				 '	    <td class="' . $RowStyle . '" align="right" valign="top">' . "<input type='hidden' name='update_products[$orders_products_id][final_price]' size='5' value='" . number_format($order_detail->products[$i]['final_price'], 2, '.', '') . "'>" . '</td>' . "\n" . 
				 '	    <td class="' . $RowStyle . '" align="right" valign="top">' . $currencies->format(($order_detail->products[$i]['final_price'] * $order_detail->products[$i]['qty']), true, $order_detail->info['currency'], $order_detail->info['currency_value']) . '</td>' . "\n" . 
				 '	  </tr>' . "\n";
		}
		$products_check++;
		$event_count++;
	}
	?>
	<!-- End Events Listings Block -->
	<tr class="<?php echo (floor($i/2) == ($i/2) ? 'attributes-even' : 'attributes-odd');?>">
	    <td colspan=7 valign="middle">
		<?php 
				//error_reporting(E_ALL);
				if($edit_attendees){ 
				   echo '<a href="' . tep_href_link(FILENAME_CHECKOUT_ATTENDEES, 'oID=' . $oID . '&mode=edit'  . '&no_attendees=' . ($max_attendees-1)).'"><b>' . TEXT_MULTIPLE_ATTENDEES  . '</b></a><br>' .
					$edit_cart->get_attendee_names(",") . '<br>';
				}
			echo '<a href="' . tep_href_link(FILENAME_ADD_EVENTS,"oID=$oID&step=1&mode=add") . '">' . tep_image_button('button_admin_add.gif',IMAGE_ADD_EVENT,'align=absmiddle') . '</a>&nbsp;';
			if ($event_count>0){
				echo '<a href="javascript:do_actions_event(\'edit\')">' . tep_image_button('button_edit.gif',IMAGE_EDIT,'align=absmiddle'). '</a>&nbsp;<a href="javascript:do_actions_event(\'delete\')">' . tep_image_button('button_delete.gif',IMAGE_DELETE,'align=absmiddle') . '</a>';
			}
		?>
	</tr></table><td></tr>
	<?php } ?>
    <!-- End for Hide Events-->
      <tr>
	<td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
	<!-- Begin Hide Subscriptions -->
   <?php if(HIDE_FROM_BACKEND_MENU_SUBSCRIPTIONS=='false'){?>
	<td class=main><b><?php echo TEXT_HEADING_SUBSCRIPTIONS; ?></b></td>
      </tr>
      <tr>
	<td><?php echo tep_draw_separator('pixel_trans.gif', '1', '3'); ?></td>
      </tr>
	<!-- Begin subscription Listing Block -->
      <tr>
	<td><table border="0" width="100%" cellspacing="2" cellpadding="2" class="formArea">
	  <tr class="attributes-odd" height=30>
	    <td class="main" width=40><b><?php echo TABLE_HEADING_ACTION; ?></b></td>
	    <td class="main" colspan="2" align=center><b><?php echo TABLE_HEADING_SUBSCRIPTIONS; ?></b></td>
		<td class="main" align="left"><b><?php echo TABLE_HEADING_PRODUCTS_TYPE; ?></b></td>
	    <td class="main" align="center"><b><?php echo TABLE_HEADING_TAX; ?></b></td>
	    <td class="main" align="right"><b><?php echo TABLE_HEADING_UNIT_PRICE; ?></b></td>
	    <td class="main" align="right"><b><?php echo TABLE_HEADING_TOTAL_PRICE; ?></b></td>
	  </tr>

	<!-- Begin Subscription Listings Block -->
	<?
      	// Override order.php Class's Field Limitations
		$index = 0;
		$order_detail->products = array();
		$orders_products_query = tep_db_query("select * from " . TABLE_ORDERS_EDIT_PRODUCTS . " where orders_id = '" . (int)$oID . "' and products_type='S'");
		while ($orders_products = tep_db_fetch_array($orders_products_query)) {
		$order_detail->products[$index] = array('qty' => $orders_products['products_quantity'],
                                        'name' => str_replace("'", "&#39;", $orders_products['products_name']),
                                        'tax' => $orders_products['products_tax'],
                                        'price' => $orders_products['products_price'],
                                        'final_price' => $orders_products['final_price'],
										'products_type' => $orders_products['products_type'],
                                        'orders_products_id' => $orders_products['orders_products_id'],
										'model'=>$orders_products['products_model']);
		$subindex = 0;

		$attributes_query_string = "select * from " . TABLE_ORDERS_EDIT_PRODUCTS_ATTRIBUTES . " where orders_id = '" . (int)$oID . "' and orders_products_id = '" . (int)$orders_products['orders_products_id'] . "'";
		$attributes_query = tep_db_query($attributes_query_string);

		/*if (tep_db_num_rows($attributes_query)) {
			while ($attributes = tep_db_fetch_array($attributes_query)) {
			 $order_detail->products[$index]['attributes'][$subindex] = array('option' => $attributes['products_options'],
																	  'value' => $attributes['products_options_values'],
																		'prefix' => $attributes['price_prefix'],
																	   'price' => $attributes['options_values_price'],
																	  'orders_products_attributes_id' => $attributes['orders_products_attributes_id']);
			$subindex++;
			}
		}*/
		$Tax=(($order_detail->products[$index]['tax'] / 100) * ($order_detail->products[$index]['qty'] * $order_detail->products[$index]['final_price']));

		$RunningSubTotal += ((($order_detail->products[$index]['qty'] * $order_detail->products[$index]['final_price']))+$Tax);
		$RunningTax+=$Tax;
		$index++;
		}
		$Total=$RunningSubTotal;
		$product_type="";
		$subscription_count=0;
	for ($i=0; $i<sizeof($order_detail->products); $i++) {
		$product_type="S";
		$orders_products_id = $order_detail->products[$i]['orders_products_id'];
		$producttype=$order_detail->products[$i]['products_type'];
		$readonly="";
		if($producttype=='S'){
			$readonly="readonly";
		}
		else{
			$readonly="";
		}
		$RowStyle = "dataTableContent";
		
		echo '	  <tr class="' .  (floor($i/2) == ($i/2) ? 'attributes-even' : 'attributes-odd') . '">' . "\n" .
		   '        <td class="' . $RowStyle . '" valign="top" align="right">' . tep_draw_checkbox_field("select_subscriptions",$orders_products_id,'') . '</td>' .
		   '	    <td class="' . $RowStyle . '" valign="top" align="right">' . "<input name='update_products[$orders_products_id][qty]'  size='2' value='" . $order_detail->products[$i]['qty'] . "' " . $readonly . ">&nbsp;x</td>\n" . 
		   '	    <td class="' . $RowStyle . '" valign="top">' . "<input name='update_products[$orders_products_id][name]' size='40' value='" . $order_detail->products[$i]['name'] . "'>";
		
		// Has Attributes?
	/*	if (sizeof($order_detail->products[$i]['attributes']) > 0) {
			for ($j=0; $j<sizeof($order_detail->products[$i]['attributes']); $j++) {
				$orders_products_attributes_id = $order_detail->products[$i]['attributes'][$j]['orders_products_attributes_id'];
				echo '<br><nobr><small>&nbsp;<i> - ' . "<input name='update_products[$orders_products_id][attributes][$orders_products_attributes_id][option]' size='6' value='" . $order_detail->products[$i]['attributes'][$j]['option'] . "'>" . ': ' . "<input name='update_products[$orders_products_id][attributes][$orders_products_attributes_id][value]' size='10' value='" . $order_detail->products[$i]['attributes'][$j]['value'] . "'>";
				echo '</i></small></nobr>';
			} 
		}*/
				
		echo '	    </td>' . "\n" .
 			 '	    <td class="' . $RowStyle . '" valign="top" align="left">'.tep_draw_input_field("update_products[$orders_products_id][model]",$order_detail->products[$i]['model']," size=12 readonly=true ") . '</td>' . "\n" .
		     '	    <td class="' . $RowStyle . '" align="center" valign="top">' . "<input name='update_products[$orders_products_id][tax]' size='3' value='" . tep_display_tax_value($order_detail->products[$i]['tax']) . "'>" . '%</td>' . "\n" .
			 '	    <td class="' . $RowStyle . '" align="right" valign="top">' . "<input type='hidden' name='update_products[$orders_products_id][final_price]' size='5' value='" . number_format($order_detail->products[$i]['final_price'], 2, '.', '') . "'>" . '</td>' . "\n" . 
			 '	    <td class="' . $RowStyle . '" align="right" valign="top">' . $currencies->format($order_detail->products[$i]['final_price'] * $order_detail->products[$i]['qty'], true, $order_detail->info['currency'], $order_detail->info['currency_value']) . '</td>' . "\n" . 
		     '	  </tr>' . "\n";
		$products_check++;
		$subscription_count++;
	}
	?>
	<!-- End subscription Listings Block -->
	<tr class="<?php echo (floor($i/2) == ($i/2) ? 'attributes-even' : 'attributes-odd');?>">
	    <td colspan=7>
			<?php 
				echo '<a href="' . tep_href_link(FILENAME_ADDSUBSCRIPTIONS,"oID=$oID&action=add_subscription&step=1&mode=add") . '">' . tep_image_button('button_admin_add.gif',IMAGE_ADD_SUBSCRIPTIONS,'align=absmiddle') . '</a>&nbsp;';
				if ($subscription_count>0){
					echo '<a href="javascript:do_actions(\'subscription\',\'edit\')">' . tep_image_button('button_edit.gif',IMAGE_EDIT,'align=absmiddle'). '</a>&nbsp;<a href="javascript:do_actions(\'subscription\',\'delete\')">' . tep_image_button('button_delete.gif',IMAGE_DELETE,'align=absmiddle') . '</a>';
				}
			?>
	<tr>
	</table><td></tr>
	<!-- End for Hide Products -->
	
  <?php }?>
	<tr>
		<td><?php echo tep_draw_separator('pixel_trans.gif', '1', '3'); ?></td>
    </tr>
   <!-- end of Subscription  Block-->
   <!-- start service entry -->
   	<tr>
	<td class=main><b><?php echo TEXT_HEADING_SERVICES; ?></b></td>
      </tr>
      <tr>
	<td><?php echo tep_draw_separator('pixel_trans.gif', '1', '3'); ?></td>
      </tr>
<!-- Begin Products Listing Block -->
      <tr>
	<td><table border="0" width="100%" cellspacing="2" cellpadding="2" class="formArea">
	  <tr class="attributes-odd" height=30>
	    <td class="main" width=40><b><?php echo TABLE_HEADING_ACTION; ?></b></td>
	    <td class="main" colspan="2" align=center><b><?php echo TABLE_HEADING_SERVICES; ?></b></td>
	    <td class="main"><b><?php echo TABLE_HEADING_PRODUCTS_MODEL; ?></b></td>
	    <td class="main" align="center"><b><?php echo TABLE_HEADING_TAX; ?></b></td>
	    <td class="main" align="right"><b><?php echo TABLE_HEADING_UNIT_PRICE; ?></b></td>
	    <td class="main" align="right"><b><?php echo TABLE_HEADING_TOTAL_PRICE; ?></b></td>
	  </tr>

	<!-- Begin Products Listings Block -->
	<?php 
		// get the service timings
		$timings=array();
		$timing_query=tep_db_query("SELECT orders_products_id,resource_id,products_id,start_date,end_date,start_time,end_time from " . TABLE_ORDERS_EDIT_SERVICES . " where orders_id='" . $oID . "' order by orders_products_id");
		while($timing_result=tep_db_fetch_array($timing_query)){
			$timings[]=$timing_result;
		}
		$resource_value=array();
		$resource_query=tep_db_query("select orders_products_id,start_date,resource_id,products_id,end_date,start_time,end_time,resource_name  from ".TABLE_ORDERS_EDIT_SERVICES." where orders_id='".(int)$oID."' order by orders_products_id,resource_name");
		while($resource=tep_db_fetch_array($resource_query)){
			$resource_value[]=array('products_id'=>$resource['products_id'],'orders_products_id'=>$resource['orders_products_id'],'start_date'=>$resource['start_date'],'end_date'=>$resource['end_date'],'start_time'=>$resource['start_time'],'end_time'=>$resource['end_time'],'resource_id'=>$resource['resource_id'],'resource_name'=>$resource['resource_name']);		
		}
		
		//$res=get_details('resource_id,products_id,start_date,end_date,start_time,end_time','orders_edit_services'," orders_id='".$oID."'");
		// Override order.php Class's Field Limitations
		$index = 0;
		$products_check=0;
		$order_detail->products = array();
		$orders_products_query=tep_db_query("select * from " . TABLE_ORDERS_EDIT_PRODUCTS . " where orders_id = '" . (int)$oID . "' and products_type='V' order by orders_products_id");
	     	
		while ($orders_products = tep_db_fetch_array($orders_products_query)) {
		$order_detail->products[$index] = array(
						'qty' => $orders_products['products_quantity'],
                        'name' => str_replace("'", "&#39;", $orders_products['products_name']),
	                    'model' => $orders_products['products_model'],
	                    'tax' => $orders_products['products_tax'],
	                    'price' => $orders_products['products_price'],
	                    'final_price' => $orders_products['final_price'],
	 					'products_type' => $orders_products['products_type'],
	                    'orders_products_id' => $orders_products['orders_products_id'],
	 					'products_id' => $orders_products['products_id'],
						);
																		
		$subindex = 0;
					
		$attributes_query_string = "select * from " . TABLE_ORDERS_EDIT_PRODUCTS_ATTRIBUTES . " where orders_id = '" . (int)$oID . "' and orders_products_id = '" . (int)$orders_products['orders_products_id'] . "'";
		$attributes_query = tep_db_query($attributes_query_string);

		if (tep_db_num_rows($attributes_query)) {
			while ($attributes = tep_db_fetch_array($attributes_query)) {
				  $order_detail->products[$index]['attributes'][$subindex] = array('option' => $attributes['products_options'],
			                                                           'value' => $attributes['products_options_values'],
			                                                           'prefix' => $attributes['price_prefix'],
			                                                           'price' => $attributes['options_values_price'],
			                                                           'orders_products_attributes_id' => $attributes['orders_products_attributes_id']);
			 $subindex++;
		 	 }
		}
		$Tax=(($order_detail->products[$index]['tax'] / 100) * ($order_detail->products[$index]['qty'] * $order_detail->products[$index]['final_price']));
		$RunningSubTotal += ((($order_detail->products[$index]['qty'] * $order_detail->products[$index]['final_price']))+$Tax);
		$RunningTax+=$Tax;
		$index++;
		}
		$Total=$RunningSubTotal;
		$product_type="";
		$service_count=0;
	for ($i=0; $i<sizeof($order_detail->products); $i++) {
		$product_type.="V";
		$products_id = $order_detail->products[$i]['products_id'];
		$producttype=$order_detail->products[$i]['products_type'];
		$orders_products_id = $order_detail->products[$i]['orders_products_id'];
		
		//$resource_id = $order_detail->products[$i]['resources'][$i]['resource_id'];
		$RowStyle = "dataTableContent";
		echo '  <tr class="' .  (floor($i/2) == ($i/2) ? 'attributes-even' : 'attributes-odd') . '">' . "\n" .
		   '        <td class="' . $RowStyle . '" valign="top" align="right">' . tep_draw_checkbox_field('select_service', $orders_products_id,'') .'</td>' .
		   '	   <td class="' . $RowStyle . '" valign="top" align="right">' . "<input name='update_products[$orders_products_id][qty]'  size='2' value='" . $order_detail->products[$i]['qty'] . "' readonly >&nbsp;x</td>\n" .
		   '	   <td class="' . $RowStyle . '" valign="top">' . "<input name='update_products[$orders_products_id][name]' size='40' value='" . $order_detail->products[$i]['name'] . "'>";
		
		// Has Attributes?
		//echo $orders_products_id; 
							
		/*if($timings[$i]["start_time"]=='') $timings[$i]["start_time"]=date('h:i:s');
		if($timings[$i]["end_time"]=='') $timings[$i]["end_time"]=date('h:i:s');
		
		if($timings[$i]["end_date"] && $timings[$i]["end_time"]){ 	
				$str_time=strtotime($timings[$i]['end_date'].' '.$timings[$i]["end_time"])+60;
				$end_date_display=date('Y-m-d',$str_time); 
				$end_time_display=date('h:i A',$str_time);
		}*/ 
		//echo '<br><small>' . sprintf(TEXT_START_DATE . " - %s %s",format_date($timings[$i]["start_date"]),date("h:i A",strtotime((($timings[$i]["start_time"]=='24:00:00')?'12:00:00':$timings[$i]["start_time"])))) . '&nbsp;&nbsp;&nbsp;<br>' . sprintf(TEXT_END_DATE . " - %s %s",format_date($end_date_display),$end_time_display) . '</small><br>';
		for($j=0;$j<=sizeof($resource_value);$j++){ 
			
			$start_date=$resource_value[$j]['start_date'];
			$start_time=$resource_value[$j]['start_time'];
			$end_time=$resource_value[$j]['end_time'];
			$end_date=$resource_value[$j]['end_date'];
			if($start_time=='') $start_time=date('h:i:s');
			if($end_time=='') $end_time=date('h:i:s');
			if($end_date && $end_time){ 	
				$str_time=strtotime($end_date.' '.$end_time)+60;
				$end_date_display=date('Y-m-d',$str_time); 
				$end_time_display=date('h:i A',$str_time);
			}			
			/*if($resource_value[$j]['start_time']==$timings[$i]["start_time"] && $resource_value[$j]['end_time']==$timings[$i]["end_time"] &&  $resource_value[$j]['orders_products_id']==$orders_products_id && $resource_value[$j]['resource_id']==$timings[$i]["resource_id"] && $resource_value[$j]['products_id']==$products_id){
			  if($resource_value[$j]['resource_name']!="") echo '<small>'.TEXT_RESOURCE_NAME . '  ' .$resource_value[$j]['resource_name'] . '</small> '; 
			}*/
			if($resource_value[$j]['orders_products_id']==$orders_products_id && $resource_value[$j]['products_id']==$products_id) echo '<br><small>' . sprintf(TEXT_START_DATE . " - %s %s",format_date($start_date),date("h:i A",strtotime((($start_time=='24:00:00')?'12:00:00':$start_time)))) . '&nbsp;&nbsp;&nbsp;<br>' . sprintf(TEXT_END_DATE . " - %s %s",format_date($end_date_display),$end_time_display) . '</small><br>';			
			if($resource_value[$j]['orders_products_id']==$orders_products_id && $resource_value[$j]['resource_name'] && $resource_value[$j]['products_id']==$products_id){
			  if($resource_value[$j]['resource_name']!="") echo '<small>'.TEXT_RESOURCE_NAME . '  ' .$resource_value[$j]['resource_name'] . '</small> '; 
			}
		}
		if (sizeof($order_detail->products[$i]['attributes']) > 0) {
			for ($j=0; $j<sizeof($order_detail->products[$i]['attributes']); $j++) {
				$orders_products_attributes_id = $order_detail->products[$i]['attributes'][$j]['orders_products_attributes_id'];
				echo '<br><nobr><small>&nbsp;<i> - ' . "<input style='border:0px' readonly name='update_products[$orders_products_id][attributes][$orders_products_attributes_id][option]' size='14' value='" . $order_detail->products[$i]['attributes'][$j]['option'] . "'>" . ': ' . "<input style='border:0px' readonly name='update_products[$orders_products_id][attributes][$orders_products_attributes_id][value]' size='10' value='" . $order_detail->products[$i]['attributes'][$j]['value'] . "'>";
				echo '</i></small></nobr>';
				}
		}
		echo '  </td>' . "\n" .
		     '      <td class="' . $RowStyle . '" valign="top">' . "<input name='update_products[$orders_products_id][model]' size='12' readonly=true value='" . $order_detail->products[$i]['model'] . "'>" . '</td>' . "\n" .
		     '	   <td class="' . $RowStyle . '" align="center" valign="top">' . "<input name='update_products[$orders_products_id][tax]' size='3' value='" . tep_display_tax_value($order_detail->products[$i]['tax']) . "'>" . '%</td>' . "\n" .
		     '	   <td class="' . $RowStyle . '" align="right" valign="top">' . "<input type='hidden' name='update_products[$orders_products_id][final_price]' size='5' value='" . number_format($order_detail->products[$i]['final_price'], 2, '.', '') . "'>" . '</td>' . "\n" . 
		     '	   <td class="' . $RowStyle . '" align="right" valign="top">' . $currencies->format(($order_detail->products[$i]['final_price'] * $order_detail->products[$i]['qty']), true, $order_detail->info['currency'], $order_detail->info['currency_value']) . '</td>' . "\n" . 
		     '	  </tr>' . "\n";
		$products_check++;
		$service_count++;
		echo tep_draw_hidden_field('time_id'.$order_detail->products[$i]['orders_products_id'],$start_date .'#'.$end_date .'#'.$start_time.'#'.$end_time);	
		//}
	}?>
	
	<!-- End Products Listings Block -->
	<tr class="<?php echo (floor($i/2) == ($i/2) ? 'attributes-even' : 'attributes-odd');?>">
	    <td colspan=7><?php //echo '<a href="' . tep_href_link(FILENAME_ADD_SERVICES,"oID=$oID&step=1&mode=add") . '">' . tep_image_button('button_admin_add.gif',IMAGE_ADD_PRODUCT,'align=absmiddle') . '</a>';?>
	       <?php echo '<a href="' . tep_href_link(FILENAME_ADD_SERVICES,"oID=$oID&step=1&mode=add") . '">' . tep_image_button('button_admin_add.gif',IMAGE_ADD_SERVICE,'align=absmiddle') . '</a>&nbsp;' ;
		   if($service_count>0){
		   		echo '<a href="javascript:do_actions(\'service\',\'edit\');">' . tep_image_button('button_edit.gif',IMAGE_EDIT_SERVICE,'align=absmiddle')  .'</a>&nbsp;'.	
				 '<a href="javascript:do_actions(\'service\',\'delete\');">' . tep_image_button('button_delete.gif',IMAGE_DELETE_SERVICE,'align=absmiddle')  . '</a>' ;
			}

	    //' <a href="' . tep_href_link(FILENAME_EDIT_ORDERS,"oID=$oID&action=add_product&mode=edit&id=$orders_products_id") . '">' . tep_image_button('button_edit.gif',IMAGE_EDIT_PRODUCT,'align=absmiddle')  .
	    //'<a href="' . tep_href_link(FILENAME_EDIT_ORDERS,'oID=' . $oID . "&action=delete_multiple_item&id=$orders_products_id") . '">' . tep_image_button('button_delete.gif',IMAGE_DELETE_PRODUCT,'align=absmiddle')  . '</a>';
	 ?>
	<tr>
	</table><td></tr>
   <!-- end service entry -->
	<!-- Begin Order Total Block -->
	  <tr>
	    <td align=right>
	    	<table border="0" cellspacing="2" cellpadding="2" width=30% class=formArea>
		<tr>
	    	<td align='right'>
	    	<table border="0" cellspacing="2" cellpadding="2" align=right width=100%>
<?php
                $order_query=tep_db_query("SELECT currency,currency_value from " . TABLE_ORDERS . " where orders_id='" . $oID . "'");
                $order_info=tep_db_fetch_array($order_query);

		$totals_query = tep_db_query("select * from " . TABLE_ORDERS_TOTAL . " where orders_id = '" . (int)$oID . "' order by sort_order");
		$order_detail->totals = array();
           $TotalsArray=array();
                while($totals=tep_db_fetch_array($totals_query)){
		   if ($totals['class']=='ot_subtotal'){
		      $TotalsArray[]=array('title'=>TEXT_PRESENT_SUBTOTAL,'value'=>$currencies->format($totals['value'], true,$order_info['currency'], $order_info['currency_value']));
		      $TotalsArray[]=array('title'=>TEXT_UPDATED_SUBTOTAL,'value'=>'<b>' . $currencies->format(($RunningSubTotal), true,$order_info['currency'], $order_info['currency_value']) . '</b>');
		   }
		   else if ($totals['class']=='ot_tax'){
		      $TotalsArray[]=array('title'=>TEXT_PRESENT_TAX,'value'=>$currencies->format($totals['value'], true,$order_info['currency'], $order_info['currency_value']));
		      $TotalsArray[]=array('title'=>TEXT_UPDATED_TAX,'value'=>'<b>' . $currencies->format(($RunningTax), true,$order_info['currency'], $order_info['currency_value']) . '</b>');
		   }
		   else if ($totals['class']=='ot_shipping'){
		      $TotalsArray[]=array('title'=>TEXT_PRESENT_SHIPPING,'value'=>$currencies->format($totals['value'], true,$order_info['currency'], $order_info['currency_value']));
		      $TotalsArray[]=array('title'=>TEXT_UPDATED_SHIPPING,'value'=>'<b>' . $currencies->format($totals['value'], true,$order_info['currency'], $order_info['currency_value']) . '</b>');
		   }
		   else if ($totals['class']=='ot_total'){
		      $TotalsArray[]=array('title'=>TEXT_PRESENT_TOTAL,'value'=>$currencies->format($totals['value'], true,$order_info['currency'], $order_info['currency_value']));
		      $TotalsArray[]=array('title'=>TEXT_UPDATED_TOTAL,'value'=>'<b>' . $currencies->format(($Total), true,$order_info['currency'], $order_info['currency_value'])  . '</b>');
		   }
		}   
		for($icnt=0;$icnt<sizeof($TotalsArray);$icnt++){
		?>
		    <tr><td class=main align=right><?php echo $TotalsArray[$icnt]['title'];?></td>
		        <td class=smallText align=right><?php echo $TotalsArray[$icnt]['value'];?></td>
		    </tr>
                    <tr><td><?php if ($icnt%2==1) echo tep_draw_separator('pixel_trans.gif', '1', '5'); ?></td></tr>
		<?php 
		}
		echo tep_draw_hidden_field('products_type',$product_type);
		if ($products_check>0)
		  echo tep_draw_hidden_field('products_check','valid');
		else
		  echo tep_draw_hidden_field('products_check','invalid');
		  
		  // hidden values for checking if multiple attendees is empty
		  echo '<input type="hidden" name="multiple_attendees" value="' . ($edit_attendees?'1':'0') . '">';
		  echo '<input type="hidden" name="valid_attendees" value="' . ($edit_cart->check_attendees()?'1':'0') . '">';
?>
	    	</table>
	    	</td>
	    	</tr>
	    	</table>
	    </td>
	  </tr>
	<!-- End Order Total Block -->
<?php } ?>
<?php if ($step==5) { ?>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr><td class="main"><table border="0" cellspacing="2" cellpadding="2" class="formarea" width=60%><tr>
	<tr bgcolor=white>
	   <td class="main"><?php echo '<b>' . TEXT_CURRENT_STATUS . '</b>' ;?></td></tr>
	<tr><td><?php echo tep_draw_separator('pixel_trans.gif', '1', '5'); ?></td></tr>
        <tr>
        <td class="main"><table border="1" cellspacing="0" cellpadding="5" width=100%>
          <tr>
            <td class="smallText" align="center"><b><?php echo TABLE_HEADING_DATE_ADDED; ?></b></td>
            <td class="smallText" align="center"><b><?php echo TABLE_HEADING_CUSTOMER_NOTIFIED; ?></b></td>
            <td class="smallText" align="center"><b><?php echo TABLE_HEADING_STATUS; ?></b></td>
            <? if($CommentsWithStatus) { ?>
            <td class="smallText" align="center"><b><?php echo TABLE_HEADING_COMMENTS; ?></b></td>
            <? } ?>
          </tr>
<?php
    $orders_history_query = tep_db_query("select * from " . TABLE_ORDERS_STATUS_HISTORY . " where orders_id = '" . tep_db_prepare_input($oID) . "' order by date_added");
    if (tep_db_num_rows($orders_history_query)) {
      while ($orders_history = tep_db_fetch_array($orders_history_query)) {
        echo '          <tr>' . "\n" .
             '            <td class="smallText" align="center">' . format_date($orders_history['date_added']) . '</td>' . "\n" .
             '            <td class="smallText" align="center">';
        if ($orders_history['customer_notified'] == '1') {
          echo tep_image(DIR_WS_ICONS . 'tick.gif', ICON_TICK) . "</td>\n";
        } else {
          echo tep_image(DIR_WS_ICONS . 'cross.gif', ICON_CROSS) . "</td>\n";
        }
        echo '            <td class="smallText">' . $orders_status_array[$orders_history['orders_status_id']] . '</td>' . "\n";
        
        if($CommentsWithStatus) {
        echo '            <td class="smallText">' . nl2br(tep_db_output($orders_history['comments'])) . '&nbsp;</td>' . "\n";
        }
        
        echo '          </tr>' . "\n";
      }
    } else {
        echo '          <tr>' . "\n" .
             '            <td class="smallText" colspan="5">' . TEXT_NO_ORDER_HISTORY . '</td>' . "\n" .
             '          </tr>' . "\n";
    }
?>
        </table></td>
      </tr>
      <tr>
	<td><?php echo tep_draw_separator('pixel_trans.gif', '1', '5'); ?></td>
      </tr>
      <tr bgcolor=white>
	<td class="main"><b><?php echo TEXT_MODIFY_STATUS; ?></b></td>
      </tr>
      <tr>
	<td><?php echo tep_draw_separator('pixel_trans.gif', '1', '3'); ?></td>
      </tr>
      <tr><td class="main"><table border="1" cellspacing="0" cellpadding="5" width=100%>
        <tr><td class="main"><table border="0" cellspacing="0" cellpadding="5" width=100%><tr>
           <td class="main"><b><?php echo ENTRY_STATUS; ?></b> 
	                    <?php echo tep_draw_pull_down_menu('status', $orders_statuses, $order_detail->info['orders_status']); ?>
                            <b><?php echo ENTRY_NOTIFY_CUSTOMER; ?></b> <?php echo tep_draw_checkbox_field('notify', '', true); ?>
          <? if($CommentsWithStatus) { ?>
                <b><?php echo ENTRY_NOTIFY_COMMENTS; ?></b> <?php echo tep_draw_checkbox_field('notify_comments', '', true); ?>
          <? } ?></td>
	</tr>
	<tr>
	<td><?php echo tep_draw_separator('pixel_trans.gif', '1', '5'); ?></td>
	</tr>
      <tr>
        <td class="main"><b><?php echo TABLE_HEADING_COMMENTS; ?></b></td>
      </tr>

	<tr>
	<td class="main">
	<?
	if($CommentsWithStatus) {
		echo tep_draw_textarea_field('comments', 'soft', '60', '5');
	}
	else
	{
		echo tep_draw_textarea_field('comments', 'soft', '60', '5', $order_detail->info['comments']);
	}
	?>
	</td>
	</tr>
        </table></td></tr></table></td>
      </tr></table></td></tr>
	<tr>
	<td><?php echo tep_draw_separator('pixel_trans.gif', '1', '5'); ?></td>
	</tr>
  <?php } ?>
	<?php if ($step==4){
		if (sizeof($selection)==0 && $net_amount!=0)
		  echo '<tr><td class="main">' . TEXT_NO_PAYMENT_MODULE . '</td></tr>';
		else if ($net_amount==0)
		  echo '<tr><td class="main">' . TEXT_NO_UPDATION . '</td></tr>'; ?>
	<tr>
	<td><?php echo tep_draw_separator('pixel_trans.gif', '1', '5'); ?></td>
	</tr>
	<?php } ?>
    <tr>
	<script language="javascript">
		var submitProcessFlag=false;
		function submitPayment(){
			var select_payment='';
			var error_result="";
			var frm=document.edit_order;
			if (submitProcessFlag){
				alert("<?php echo addslashes(TEXT_FORM_SUBMITTED);?>");
				return;
			}
			submitProcessFlag=true;
			frm.button_update.src="<?php echo DIR_WS_LANGUAGES . $language . '/images/buttons/button_process.gif';?>";
			if (frm.payment[0]){
				for (icnt=0;icnt<frm.payment.length;icnt++){
					if (frm.payment[icnt].checked==true){ select_payment=frm.payment[icnt].value;break;}
				}
			} else {
				if (frm.payment.checked) select_payment=frm.payment.value;
			}
			//if (select_payment=='') error_result="<?php echo tep_db_input(ERR_SELECT_PAYMENT); ?>";
			if (error_result!=""){
				submitProcessFlag=false;
				document.edit_order.button_update.src="<?php echo DIR_WS_LANGUAGES . $language . '/images/buttons/button_update.gif';?>";
				alert(error_result);
				return;
			}
			document.edit_order.submit();
		}
	</script>
	<td align='left' valign="top" class="main">
	   <?php  
	     $type=isset($HTTP_GET_VARS['type'])?$HTTP_GET_VARS['type']:'';
	   if ($step>1) echo '<a href="' . tep_href_link(FILENAME_EDIT_ORDERS,'oID=' . $oID . '&step=' . ($type=='E'?2:$step-1)) . '">' . tep_image_button('button_back.gif',IMAGE_BACK) . '</a>';
	      if ($step==4){
	        if (sizeof($selection)>0 && ($pay_type=='refund' || $pay_type=='getamount')) {
	          echo '&nbsp' . tep_image_button('button_update.gif',IMAGE_UPDATE,'style="cursor:pointer;cursor:hand" onClick="javascript:submitPayment();" name="button_update"');
			} else if ($update_details) {
				echo '&nbsp<a href="javascript:updateDetail()">' . tep_image_button("button_update.gif",IMAGE_UPDATE_CHANGES) . '</a>';
			}
	      } else {
	          echo '&nbsp' . tep_image_submit('button_continue.gif',IMAGE_CONTINUE); 
	      }
	   ?>
	</td>
      </tr><table>
      </form>
<?php
  }
 ?>
    </table></td>
<!-- body_text_eof //-->
  </tr>
</table>
<!-- body_eof //-->

<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?
  ////////////////////////////////////////////////////////////////////////////////////////////////
  //
  // Function    : tep_get_country_id
  //
  // Arguments   : country_name		country name string
  //
  // Return      : country_id
  //
  // Description : Function to retrieve the country_id based on the country's name
  //
  ////////////////////////////////////////////////////////////////////////////////////////////////
  function tep_get_country_id($country_name) {

    $country_id_query = tep_db_query("select * from " . TABLE_COUNTRIES . " where countries_name = '" . $country_name . "'");

    if (!tep_db_num_rows($country_id_query)) {
      return 0;
    }
    else {
      $country_id_row = tep_db_fetch_array($country_id_query);
      return $country_id_row['countries_id'];
    }
  }

  ////////////////////////////////////////////////////////////////////////////////////////////////
  //
  // Function    : tep_get_country_iso_code_2
  //
  // Arguments   : country_id		country id number
  //
  // Return      : country_iso_code_2
  //
  // Description : Function to retrieve the country_iso_code_2 based on the country's id
  //
  ////////////////////////////////////////////////////////////////////////////////////////////////
  function tep_get_country_iso_code_2($country_id) {

    $country_iso_query = tep_db_query("select * from " . TABLE_COUNTRIES . " where countries_id = '" . $country_id . "'");

    if (!tep_db_num_rows($country_iso_query)) {
      return 0;
    }
    else {
      $country_iso_row = tep_db_fetch_array($country_iso_query);
      return $country_iso_row['countries_iso_code_2'];
    }
  }

  ////////////////////////////////////////////////////////////////////////////////////////////////
  //
  // Function    : tep_get_zone_id
  //
  // Arguments   : country_id		country id string
  //               zone_name		state/province name
  //
  // Return      : zone_id
  //
  // Description : Function to retrieve the zone_id based on the zone's name
  //
  ////////////////////////////////////////////////////////////////////////////////////////////////
  function tep_get_zone_id($country_id, $zone_name) {

    $zone_id_query = tep_db_query("select * from " . TABLE_ZONES . " where zone_country_id = '" . $country_id . "' and zone_name = '" . $zone_name . "'");

    if (!tep_db_num_rows($zone_id_query)) {
      return 0;
    }
    else {
      $zone_id_row = tep_db_fetch_array($zone_id_query);
      return $zone_id_row['zone_id'];
    }
  }
  
  ////////////////////////////////////////////////////////////////////////////////////////////////
  //
  // Function    : tep_field_exists
  //
  // Arguments   : table	table name
  //               field	field name
  //
  // Return      : true/false
  //
  // Description : Function to check the existence of a database field
  //
  ////////////////////////////////////////////////////////////////////////////////////////////////
  function tep_field_exists($table,$field) {

    $describe_query = tep_db_query("describe $table");
    while($d_row = tep_db_fetch_array($describe_query))
    {
      if ($d_row["Field"] == "$field")
      return true;
    }


    return false;
  }

  ////////////////////////////////////////////////////////////////////////////////////////////////
  //
  // Function    : tep_html_quotes
  //
  // Arguments   : string	any string
  //
  // Return      : string with single quotes converted to html equivalent
  //
  // Description : Function to change quotes to HTML equivalents for form inputs.
  //
  ////////////////////////////////////////////////////////////////////////////////////////////////
  function tep_html_quotes($string) {
    return str_replace("'", "&#39;", $string);
  } 

  ////////////////////////////////////////////////////////////////////////////////////////////////
  //
  // Function    : tep_html_unquote
  //
  // Arguments   : string	any string
  //
  // Return      : string with html equivalent converted back to single quotes
  //
  // Description : Function to change HTML equivalents back to quotes
  //
  ////////////////////////////////////////////////////////////////////////////////////////////////
  function tep_html_unquote($string) {
    return str_replace("&#39;", "'", $string);
  }

require(DIR_WS_INCLUDES . 'application_bottom.php');
?>