<?php 
  require('includes/application_top.php');
  require("includes/classes/payment.php");
  require(DIR_WS_CLASSES . 'shipping.php');
  $shipping_modules = new shipping;
  $serverDate = date('Y-m-d H:i:s',getServerDate(false));
	$payment= new payment();

	$payment_array['ausbank']=array('MODULE_PAYMENT_AUSBANK_EXCEPT_COUNTRY','MODULE_PAYMENT_AUSBANK_EXCEPT_ZONE');
	$payment_array['authorizenet']=array('MODULE_PAYMENT_AUTHORIZENET_EXCEPT_COUNTRY','MODULE_PAYMENT_AUTHORIZENET_EXCEPT_ZONE');
	$payment_array['cash']=array('MODULE_PAYMENT_CASH_EXCEPT_COUNTRY','MODULE_PAYMENT_CASH_EXCEPT_ZONE');
	$payment_array['cod']=array('MODULE_PAYMENT_COD_EXCEPT_COUNTRY','MODULE_PAYMENT_COD_EXCEPT_ZONE');
	$payment_array['germanbank']=array('MODULE_PAYMENT_GERMANBANK_EXCEPT_COUNTRY','MODULE_PAYMENT_GERMANBANK_EXCEPT_ZONE');
	$payment_array['internal']=array('MODULE_PAYMENT_INTERNAL_EXCEPT_COUNTRY','MODULE_PAYMENT_INTERNAL_EXCEPT_ZONE');
	$payment_array['moneyorder']=array('MODULE_PAYMENT_MONEYORDER_EXCEPT_COUNTRY','MODULE_PAYMENT_MONEYORDER_EXCEPT_ZONE');
	$payment_array['paypal']=array('MODULE_PAYMENT_PAYPAL_EXCEPT_COUNTRY','MODULE_PAYMENT_PAYPAL_EXCEPT_ZONE');
	$payment_array['paypalipn']=array('MODULE_PAYMENT_PAYPALIPN_EXCEPT_COUNTRY','MODULE_PAYMENT_PAYPALIPN_EXCEPT_ZONE');
	$payment_array['pm2checkout']=array('MODULE_PAYMENT_2CHECKOUT_EXCEPT_COUNTRY','MODULE_PAYMENT_2CHECKOUT_EXCEPT_ZONE');
	$payment_array['securepay']=array('MODULE_PAYMENT_SECUREPAY_EXCEPT_COUNTRY','MODULE_PAYMENT_SECUREPAY_EXCEPT_ZONE');
	$payment_array['virtualpay']=array('MODULE_PAYMENT_VIRTUALPAY_EXCEPT_COUNTRY','MODULE_PAYMENT_VIRTUALPAY_EXCEPT_ZONE');
	$payment_array['wallet']=array('MODULE_PAYMENT_WALLET_EXCEPT_COUNTRY','MODULE_PAYMENT_WALLET_EXCEPT_ZONE');
	$payment_array['westpac']=array('MODULE_PAYMENT_WESTPAC_EXCEPT_COUNTRY','MODULE_PAYMENT_WESTPAC_EXCEPT_ZONE');
	
	$shipping_array['auspost']=array('MODULE_SHIPPING_AUSPOST_EXCEPT_COUNTRY','MODULE_SHIPPING_AUSPOST_EXCEPT_ZONE');
	$shipping_array['auspostair']=array('MODULE_SHIPPING_AUSPOST_AIR_EXCEPT_COUNTRY','MODULE_SHIPPING_AUSPOST_AIR_EXCEPT_ZONE');
	$shipping_array['ausposteconomy']=array('MODULE_SHIPPING_AUSPOST_ECONOMY_EXCEPT_COUNTRY','MODULE_SHIPPING_AUSPOST_ECONOMY_EXCEPT_ZONE');
	$shipping_array['auspostexpress']=array('MODULE_SHIPPING_AUSPOST_EXPRESS_EXCEPT_COUNTRY','MODULE_SHIPPING_AUSPOST_EXPRESS_EXCEPT_ZONE');
	$shipping_array['auspostsea']=array('MODULE_SHIPPING_AUSPOST_SEA_EXCEPT_COUNTRY','MODULE_SHIPPING_AUSPOST_SEA_EXCEPT_ZONE');
	$shipping_array['auspoststandard']=array('MODULE_SHIPPING_AUSPOST_STANDARD_EXCEPT_COUNTRY','MODULE_SHIPPING_AUSPOST_STANDARD_EXCEPT_ZONE');
	$shipping_array['flat']=array('MODULE_SHIPPING_FLAT_EXCEPT_COUNTRY','MODULE_SHIPPING_FLAT_EXCEPT_ZONE');
	$shipping_array['freeshipper']=array('MODULE_SHIPPING_FREESHIPPER_EXCEPT_COUNTRY','MODULE_SHIPPING_FREESHIPPER_EXCEPT_ZONE');
	$shipping_array['item']=array('MODULE_SHIPPING_ITEM_EXCEPT_COUNTRY','MODULE_SHIPPING_ITEM_EXCEPT_ZONE');
	$shipping_array['percent']=array('MODULE_SHIPPING_PERCENT_EXCEPT_COUNTRY','MODULE_SHIPPING_PERCENT_EXCEPT_ZONE');
	$shipping_array['table']=array('MODULE_SHIPPING_TABLE_EXCEPT_COUNTRY','MODULE_SHIPPING_TABLE_EXCEPT_ZONE');
	$shipping_array['ups']=array('MODULE_SHIPPING_UPS_EXCEPT_COUNTRY','MODULE_SHIPPING_UPS_EXCEPT_ZONE');
	$shipping_array['usps']=array('MODULE_SHIPPING_USPS_EXCEPT_COUNTRY','MODULE_SHIPPING_USPS_EXCEPT_ZONE');
	
	//print_r($payment->modules);		
	$selection=$payment->modules;
	for($icnt=0,$n=count($selection);$icnt<$n;$icnt++){
		$strpos=strrpos($selection[$icnt], '.');
		$class = substr($selection[$icnt], 0, $strpos);
		$payment_method=$payment_array[$class];
			for($jcnt=0,$m=count($payment_method);$jcnt<$m;$jcnt++){
				install_keys($payment_method[$jcnt]);
			}
	 }

	/*for($jcnt=0,$m=count($sample_shipping_array);$jcnt<$m;$jcnt++){
		$shipping_method=$shipping_array[$sample_shipping_array[$jcnt]];
		if($GLOBALS[$sample_shipping_array[$jcnt]]->enabled){
			for($jcnt=0,$m=count($shipping_method);$jcnt<$m;$jcnt++){
				install_keys($shipping_method[$jcnt]);
			}
		}		
	}		*/

	for($icnt=0,$n=count($shipping_modules->modules);$icnt<$n;$icnt++){
		$strpos=strrpos($shipping_modules->modules[$icnt], '.');
		$class = substr($shipping_modules->modules[$icnt], 0, $strpos);
		$shipping_method=$shipping_array[$class];
		for($jcnt=0,$m=count($shipping_method);$jcnt<$m;$jcnt++){
			install_keys($shipping_method[$jcnt]);
		}
	}
	function install_keys($key=''){
		$query=tep_db_query("select * from ".TABLE_CONFIGURATION ." where configuration_key='".$key ."'");
		if(tep_db_num_rows($query) > 0)
			return;
		else{
			switch($key){
			case 'MODULE_PAYMENT_AUSBANK_EXCEPT_COUNTRY';
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Except Payment Country', 'MODULE_PAYMENT_AUSBANK_EXCEPT_COUNTRY', '', 'If countries are selected, disable this payment method for that countries.', '6', '4', 'tep_cfg_pull_down_zone_except_countries(MODULE_PAYMENT_AUSBANK_ZONE,', 'tep_get_zone_except_country','". $serverDate ."' )");
					  break;
			case 'MODULE_PAYMENT_AUSBANK_EXCEPT_ZONE':		  
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Except Payment Zone', 'MODULE_PAYMENT_AUSBANK_EXCEPT_ZONE', '', 'If a zone is selected, disable this payment method for that zone.', '6', '3', 'tep_cfg_pull_down_zone_classes(','tep_get_zone_class_title', '". $serverDate ."')");
					  break;
			case 'MODULE_PAYMENT_AUTHORIZENET_EXCEPT_COUNTRY':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Authorizenet - Except Payment Country', 'MODULE_PAYMENT_AUTHORIZENET_EXCEPT_COUNTRY', '', 'Authorizenet - If countries are selected, disable this payment method for that countries.', '6', '4', 'tep_cfg_pull_down_zone_except_countries(MODULE_PAYMENT_AUTHORIZENET_ZONE,', 'tep_get_zone_except_country', '". $serverDate ."')");
					  break;
			case 'MODULE_PAYMENT_AUTHORIZENET_EXCEPT_ZONE':  
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Authorizenet - Except Payment Zone', 'MODULE_PAYMENT_AUTHORIZENET_EXCEPT_ZONE', '', 'Authorizenet - If a zone is selected, disable this payment method for that zone.', '6', '3', 'tep_cfg_pull_down_zone_classes(','tep_get_zone_class_title', '". $serverDate ."')");
					  break;
			case 'MODULE_PAYMENT_CASH_EXCEPT_COUNTRY':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Cash  Except Payment Country', 'MODULE_PAYMENT_CASH_EXCEPT_COUNTRY', '', 'If countries are selected, disable this payment method for that countries.', '6', '4', 'tep_cfg_pull_down_zone_except_countries(MODULE_PAYMENT_CASH_ZONE,', 'tep_get_zone_except_country', '". $serverDate ."')");
					  break;
			case 'MODULE_PAYMENT_CASH_EXCEPT_ZONE'		  :
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Cash  Except Payment Zone', 'MODULE_PAYMENT_CASH_EXCEPT_ZONE', '', 'If a zone is selected, disable this payment method for that zone.', '6', '3', 'tep_cfg_pull_down_zone_classes(','tep_get_zone_class_title', '". $serverDate ."')");
					  break;
			case 'MODULE_PAYMENT_COD_EXCEPT_COUNTRY':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('COD Except Payment Country', 'MODULE_PAYMENT_COD_EXCEPT_COUNTRY', '', 'If countries are selected, disable this payment method for that countries.', '6', '4', 'tep_cfg_pull_down_zone_except_countries(MODULE_PAYMENT_COD_ZONE,', 'tep_get_zone_except_country', '". $serverDate ."')");
					  break;
			case 'MODULE_PAYMENT_COD_EXCEPT_ZONE':		  
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('COD Except Payment Zone', 'MODULE_PAYMENT_COD_EXCEPT_ZONE', '', 'If a zone is selected, disable this payment method for that zone.', '6', '3', 'tep_cfg_pull_down_zone_classes(','tep_get_zone_class_title', '". $serverDate ."')");
					  break;
			case 'MODULE_PAYMENT_GERMANBANK_EXCEPT_COUNTRY':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Except Payment Country', 'MODULE_PAYMENT_GERMANBANK_EXCEPT_COUNTRY', '', 'If countries are selected, disable this payment method for that countries.', '6', '4', 'tep_cfg_pull_down_zone_except_countries(MODULE_PAYMENT_GERMANBANK_ZONE,', 'tep_get_zone_except_country','". $serverDate ."')");
					  break;
			case 'MODULE_PAYMENT_GERMANBANK_EXCEPT_ZONE':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Except Payment Zone', 'MODULE_PAYMENT_GERMANBANK_EXCEPT_ZONE', '', 'If a zone is selected, disable this payment method for that zone.', '6', '3', 'tep_cfg_pull_down_zone_classes(','tep_get_zone_class_title', '". $serverDate ."')");
					  break;
			case 'MODULE_PAYMENT_INTERNAL_EXCEPT_COUNTRY':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Internal Only  Except Payment Country', 'MODULE_PAYMENT_INTERNAL_EXCEPT_COUNTRY', '', 'If countries are selected, disable this payment method for that countries.', '6', '4', 'tep_cfg_pull_down_zone_except_countries(MODULE_PAYMENT_INTERNAL_ZONE,', 'tep_get_zone_except_country', '". $serverDate ."')");
					  break;
			case 'MODULE_PAYMENT_INTERNAL_EXCEPT_ZONE':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Internal Only  Except Payment Zone', 'MODULE_PAYMENT_INTERNAL_EXCEPT_ZONE', '', 'If a zone is selected, disable this payment method for that zone.', '6', '3', 'tep_cfg_pull_down_zone_classes(','tep_get_zone_class_title', '". $serverDate ."')");
					  break;
			case 'MODULE_PAYMENT_MONEYORDER_EXCEPT_COUNTRY':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Money Order  Except Payment Country', 'MODULE_PAYMENT_MONEYORDER_EXCEPT_COUNTRY', '', 'If countries are selected, disable this payment method for that countries.', '6', '4', 'tep_cfg_pull_down_zone_except_countries(MODULE_PAYMENT_MONEYORDER_ZONE,', 'tep_get_zone_except_country', '". $serverDate ."')");
					  break;
			case 'MODULE_PAYMENT_MONEYORDER_EXCEPT_ZONE':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Money Order  Except Payment Zone', 'MODULE_PAYMENT_MONEYORDER_EXCEPT_ZONE', '', 'If a zone is selected, disable this payment method for that zone.', '6', '3', 'tep_cfg_pull_down_zone_classes(','tep_get_zone_class_title', '". $serverDate ."')");
					  break;
			case 'MODULE_PAYMENT_PAYPAL_EXCEPT_COUNTRY':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('PayPal Except Payment Country', 'MODULE_PAYMENT_PAYPAL_EXCEPT_COUNTRY', '', 'If countries are selected, disable this payment method for that countries.', '6', '4', 'tep_cfg_pull_down_zone_except_countries(MODULE_PAYMENT_PAYPAL_ZONE,', 'tep_get_zone_except_country', '". $serverDate ."')");
					  break;
			case 'MODULE_PAYMENT_PAYPAL_EXCEPT_ZONE':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('PayPal Except Payment Zone', 'MODULE_PAYMENT_PAYPAL_EXCEPT_ZONE', '', 'If a zone is selected, disable this payment method for that zone.', '6', '3', 'tep_cfg_pull_down_zone_classes(','tep_get_zone_class_title', '". $serverDate ."')");
					  break;
			case 'MODULE_PAYMENT_PAYPALIPN_EXCEPT_COUNTRY':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Paypal IPN Except Payment Country', 'MODULE_PAYMENT_PAYPALIPN_EXCEPT_COUNTRY', '', 'If countries are selected, disable this payment method for that countries.', '6', '4', 'tep_cfg_pull_down_zone_except_countries(MODULE_PAYMENT_PAYPALIPN_ZONE,', 'tep_get_zone_except_country', '". $serverDate ."')");
					  break;
			case 'MODULE_PAYMENT_PAYPALIPN_EXCEPT_ZONE':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Paypal IPN Except Payment Zone', 'MODULE_PAYMENT_PAYPALIPN_EXCEPT_ZONE', '', 'If a zone is selected, disable this payment method for that zone.', '6', '3', 'tep_cfg_pull_down_zone_classes(','tep_get_zone_class_title', '". $serverDate ."')");
					  break;
			case 'MODULE_PAYMENT_2CHECKOUT_EXCEPT_COUNTRY':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Except Payment Country', 'MODULE_PAYMENT_2CHECKOUT_EXCEPT_COUNTRY', '', 'If countries are selected, disable this payment method for that countries.', '6', '4', 'tep_cfg_pull_down_zone_except_countries(MODULE_PAYMENT_2CHECKOUT_ZONE,', 'tep_get_zone_except_country', '". $serverDate ."')");
					  break;
			case 'MODULE_PAYMENT_2CHECKOUT_EXCEPT_ZONE':		  
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Except Payment Zone', 'MODULE_PAYMENT_2CHECKOUT_EXCEPT_ZONE', '', 'If a zone is selected, disable this payment method for that zone.', '6', '3', 'tep_cfg_pull_down_zone_classes(','tep_get_zone_class_title', '". $serverDate ."')");
					  break;
			case 'MODULE_PAYMENT_SECUREPAY_EXCEPT_COUNTRY':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Except Payment Country', 'MODULE_PAYMENT_SECUREPAY_EXCEPT_COUNTRY', '', 'If countries are selected, disable this payment method for that countries.', '6', '4', 'tep_cfg_pull_down_zone_except_countries(MODULE_PAYMENT_SECUREPAY_ZONE,', 'tep_get_zone_except_country', '". $serverDate ."')");
					  break;
			case 'MODULE_PAYMENT_SECUREPAY_EXCEPT_ZONE':		  
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Except Payment Zone', 'MODULE_PAYMENT_SECUREPAY_EXCEPT_ZONE', '', 'If a zone is selected, disable this payment method for that zone.', '6', '3', 'tep_cfg_pull_down_zone_classes(','tep_get_zone_class_title', '". $serverDate ."')");
					  break;
			case 'MODULE_PAYMENT_VIRTUALPAY_EXCEPT_COUNTRY':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Except Payment Country', 'MODULE_PAYMENT_VIRTUALPAY_EXCEPT_COUNTRY', '', 'If countries are selected, disable this payment method for that countries.', '6', '4', 'tep_cfg_pull_down_zone_except_countries(MODULE_PAYMENT_VIRTUALPAY_ZONE,', 'tep_get_zone_except_country', '". $serverDate ."')");
					  break;
			case 'MODULE_PAYMENT_VIRTUALPAY_EXCEPT_ZONE':		  
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Except Payment Zone', 'MODULE_PAYMENT_VIRTUALPAY_EXCEPT_ZONE', '', 'If a zone is selected, disable this payment method for that zone.', '6', '3', 'tep_cfg_pull_down_zone_classes(','tep_get_zone_class_title', '". $serverDate ."')");
					  break;
			case 'MODULE_PAYMENT_WALLET_EXCEPT_COUNTRY':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Wallet Except Payment Country', 'MODULE_PAYMENT_WALLET_EXCEPT_COUNTRY', '', 'If countries are selected, disable this payment method for that countries.', '6', '4', 'tep_cfg_pull_down_zone_except_countries(MODULE_PAYMENT_WALLET_ZONE,', 'tep_get_zone_except_country', '". $serverDate ."')");
					  break;
			case 'MODULE_PAYMENT_WALLET_EXCEPT_ZONE':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Wallet Except Payment Zone', 'MODULE_PAYMENT_WALLET_EXCEPT_ZONE', '', 'If a zone is selected, disable this payment method for that zone.', '6', '3', 'tep_cfg_pull_down_zone_classes(','tep_get_zone_class_title', '". $serverDate ."')");
					  break;
			case 'MODULE_PAYMENT_WESTPAC_EXCEPT_COUNTRY':	  
				      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Except Payment Country', 'MODULE_PAYMENT_WESTPAC_EXCEPT_COUNTRY', '', 'If countries are selected, disable this payment method for that countries.', '6', '4', 'tep_cfg_pull_down_zone_except_countries(MODULE_PAYMENT_WESTPAC_ZONE,', 'tep_get_zone_except_country', '". $serverDate ."')");
					  break;
			case 'MODULE_PAYMENT_WESTPAC_EXCEPT_ZONE':	  
     				 tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Except Payment Zone', 'MODULE_PAYMENT_WESTPAC_EXCEPT_ZONE', '', 'If a zone is selected, disable this payment method for that zone.', '6', '3', 'tep_cfg_pull_down_zone_classes(','tep_get_zone_class_title', '". $serverDate ."')");
					 break;
					  
		 	case 'MODULE_SHIPPING_AUSPOST_EXCEPT_COUNTRY':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Except Shipping Country', 'MODULE_SHIPPING_AUSPOST_EXCEPT_COUNTRY', '', 'If countries are selected, disable this shipping method for that countries.', '6', '4', 'tep_cfg_pull_down_zone_except_countries(MODULE_SHIPPING_AUSPOST_ZONE,', 'tep_get_zone_except_country', '". $serverDate ."')");
					  break;
			case 'MODULE_SHIPPING_AUSPOST_EXCEPT_ZONE':	  
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Except Shipping Zone', 'MODULE_SHIPPING_AUSPOST_EXCEPT_ZONE', '', 'If a zone is selected, disable this shipping method for that zone.', '6', '3', 'tep_cfg_pull_down_zone_classes(','tep_get_zone_class_title', '". $serverDate ."')");
					  break;
			case 'MODULE_SHIPPING_AUSPOST_AIR_EXCEPT_COUNTRY':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Except Shipping Country', 'MODULE_SHIPPING_AUSPOST_AIR_EXCEPT_COUNTRY', '', 'If countries are selected, disable this shipping method for that countries.', '6', '4', 'tep_cfg_pull_down_zone_except_countries(MODULE_SHIPPING_AUSPOST_AIR_ZONE,', 'tep_get_zone_except_country', '". $serverDate ."')");
					  break;
			case 'MODULE_SHIPPING_AUSPOST_AIR_EXCEPT_ZONE':	  
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Except Shipping Zone', 'MODULE_SHIPPING_AUSPOST_AIR_EXCEPT_ZONE', '', 'If a zone is selected, disable this shipping method for that zone.', '6', '3', 'tep_cfg_pull_down_zone_classes(','tep_get_zone_class_title', '". $serverDate ."')");
					  break;
			case 'MODULE_SHIPPING_AUSPOST_ECONOMY_EXCEPT_COUNTRY':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Except Shipping Country', 'MODULE_SHIPPING_AUSPOST_ECONOMY_EXCEPT_COUNTRY', '', 'If countries are selected, disable this shipping method for that countries.', '6', '4', 'tep_cfg_pull_down_zone_except_countries(MODULE_SHIPPING_AUSPOST_ECONOMY_ZONE,', 'tep_get_zone_except_country', '". $serverDate ."')");
					  break;
			case 'MODULE_SHIPPING_AUSPOST_ECONOMY_EXCEPT_ZONE':	  
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Except Shipping Zone', 'MODULE_SHIPPING_AUSPOST_ECONOMY_EXCEPT_ZONE', '', 'If a zone is selected, disable this shipping method for that zone.', '6', '3', 'tep_cfg_pull_down_zone_classes(','tep_get_zone_class_title', '". $serverDate ."')");
					  break;
			case 'MODULE_SHIPPING_AUSPOST_EXPRESS_EXCEPT_COUNTRY':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Except Shipping Country', 'MODULE_SHIPPING_AUSPOST_EXPRESS_EXCEPT_COUNTRY', '', 'If countries are selected, disable this shipping method for that countries.', '6', '4', 'tep_cfg_pull_down_zone_except_countries(MODULE_SHIPPING_AUSPOST_EXPRESS_ZONE,', 'tep_get_zone_except_country', '". $serverDate ."')");
					  break;
			case 'MODULE_SHIPPING_AUSPOST_EXPRESS_EXCEPT_ZONE':	  
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Except Shipping Zone', 'MODULE_SHIPPING_AUSPOST_EXPRESS_EXCEPT_ZONE', '', 'If a zone is selected, disable this shipping method for that zone.', '6', '3', 'tep_cfg_pull_down_zone_classes(','tep_get_zone_class_title', '". $serverDate ."')");
					  break;
			case 'MODULE_SHIPPING_AUSPOST_SEA_EXCEPT_COUNTRY':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Except Shipping Country', 'MODULE_SHIPPING_AUSPOST_SEA_EXCEPT_COUNTRY', '', 'If countries are selected, disable this shipping method for that countries.', '6', '4', 'tep_cfg_pull_down_zone_except_countries(MODULE_SHIPPING_AUSPOST_SEA_ZONE,', 'tep_get_zone_except_country','". $serverDate ."')");
					  break;
			case 'MODULE_SHIPPING_AUSPOST_SEA_EXCEPT_ZONE':	  
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Except Shipping Zone', 'MODULE_SHIPPING_AUSPOST_SEA_EXCEPT_ZONE', '', 'If a zone is selected, disable this shipping method for that zone.', '6', '3', 'tep_cfg_pull_down_zone_classes(','tep_get_zone_class_title', '". $serverDate ."')");
					  break;
			case 'MODULE_SHIPPING_AUSPOST_STANDARD_EXCEPT_COUNTRY':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Except Shipping Country', 'MODULE_SHIPPING_AUSPOST_STANDARD_EXCEPT_COUNTRY', '', 'If countries are selected, disable this shipping method for that countries.', '6', '4', 'tep_cfg_pull_down_zone_except_countries(MODULE_SHIPPING_AUSPOST_STANDARD_ZONE,', 'tep_get_zone_except_country', '". $serverDate ."')");
					  break;
			case 'MODULE_SHIPPING_AUSPOST_STANDARD_EXCEPT_ZONE':	  
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Except Shipping Zone', 'MODULE_SHIPPING_AUSPOST_STANDARD_EXCEPT_ZONE', '', 'If a zone is selected, disable this shipping method for that zone.', '6', '3', 'tep_cfg_pull_down_zone_classes(','tep_get_zone_class_title', '". $serverDate ."')");
					  break;
			case 'MODULE_SHIPPING_FLAT_EXCEPT_COUNTRY':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Flat Except Shipping Country', 'MODULE_SHIPPING_FLAT_EXCEPT_COUNTRY', '', 'If countries are selected, disable this shipping method for that countries.', '6', '4', 'tep_cfg_pull_down_zone_except_countries(MODULE_SHIPPING_FLAT_ZONE,', 'tep_get_zone_except_country', '". $serverDate ."')");
					  break;
			case 'MODULE_SHIPPING_FLAT_EXCEPT_ZONE'	 : 
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Flat Except Shipping Zone', 'MODULE_SHIPPING_FLAT_EXCEPT_ZONE', '', 'If a zone is selected, disable this shipping method for that zone.', '6', '3', 'tep_cfg_pull_down_zone_classes(','tep_get_zone_class_title','". $serverDate ."')");
					  break;
			case 'MODULE_SHIPPING_FREESHIPPER_EXCEPT_COUNTRY':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('FREESHIPPER Except Shipping Country', 'MODULE_SHIPPING_FREESHIPPER_EXCEPT_COUNTRY', '', 'If countries are selected, disable this shipping method for that countries.', '6', '4', 'tep_cfg_pull_down_zone_except_countries(MODULE_SHIPPING_FREESHIPPER_ZONE,', 'tep_get_zone_except_country', '". $serverDate ."')");
					  break;
			case 'MODULE_SHIPPING_FREESHIPPER_EXCEPT_ZONE':  
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('FREESHIPPER Except Shipping Zone', 'MODULE_SHIPPING_FREESHIPPER_EXCEPT_ZONE', '', 'If a zone is selected, disable this shipping method for that zone.', '6', '3', 'tep_cfg_pull_down_zone_classes(','tep_get_zone_class_title', '". $serverDate ."')");
					  break;
			case 'MODULE_SHIPPING_ITEM_EXCEPT_COUNTRY':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Item Shipping Except Shipping Country', 'MODULE_SHIPPING_ITEM_EXCEPT_COUNTRY', '', 'If countries are selected, disable this shipping method for that countries.', '6', '4', 'tep_cfg_pull_down_zone_except_countries(MODULE_SHIPPING_ITEM_ZONE,', 'tep_get_zone_except_country', '". $serverDate ."')");
					  break;
			case 'MODULE_SHIPPING_ITEM_EXCEPT_ZONE': 
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Item Shipping Except Shipping Zone', 'MODULE_SHIPPING_ITEM_EXCEPT_ZONE', '', 'If a zone is selected, disable this shipping method for that zone.', '6', '3', 'tep_cfg_pull_down_zone_classes(','tep_get_zone_class_title', '". $serverDate ."')");
					  break;
			case 'MODULE_SHIPPING_PERCENT_EXCEPT_COUNTRY':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Percentage Except Shipping Country', 'MODULE_SHIPPING_PERCENT_EXCEPT_COUNTRY', '', 'If countries are selected, disable this shipping method for that countries.', '6', '4', 'tep_cfg_pull_down_zone_except_countries(MODULE_SHIPPING_PERCENT_ZONE,', 'tep_get_zone_except_country', '". $serverDate ."')");
					  break;
			case 'MODULE_SHIPPING_PERCENT_EXCEPT_ZONE': 
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Percentage  Except Shipping Zone', 'MODULE_SHIPPING_PERCENT_EXCEPT_ZONE', '', 'If a zone is selected, disable this shipping method for that zone.', '6', '3', 'tep_cfg_pull_down_zone_classes(','tep_get_zone_class_title', '". $serverDate ."')");
					  break;
			case 'MODULE_SHIPPING_TABLE_EXCEPT_COUNTRY':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Table Method Except Shipping Country', 'MODULE_SHIPPING_TABLE_EXCEPT_COUNTRY', '', 'If countries are selected, disable this shipping method for that countries.', '6', '4', 'tep_cfg_pull_down_zone_except_countries(MODULE_SHIPPING_TABLE_ZONE,', 'tep_get_zone_except_country', '". $serverDate ."')");
					  break;
			case 'MODULE_SHIPPING_TABLE_EXCEPT_ZONE':	  
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Table Method Except Shipping Zone', 'MODULE_SHIPPING_TABLE_EXCEPT_ZONE', '', 'If a zone is selected, disable this shipping method for that zone.', '6', '3', 'tep_cfg_pull_down_zone_classes(','tep_get_zone_class_title', '". $serverDate ."')");
					  break;
			case 'MODULE_SHIPPING_UPS_EXCEPT_COUNTRY':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('UPS Except Shipping Country', 'MODULE_SHIPPING_UPS_EXCEPT_COUNTRY', '', 'If countries are selected, disable this shipping method for that countries.', '6', '4', 'tep_cfg_pull_down_zone_except_countries(MODULE_SHIPPING_UPS_ZONE,', 'tep_get_zone_except_country', '". $serverDate ."')");
					  break;
			case 'MODULE_SHIPPING_UPS_EXCEPT_ZONE':	  
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('UPS Except Shipping Zone', 'MODULE_SHIPPING_UPS_EXCEPT_ZONE', '', 'If a zone is selected, disable this shipping method for that zone.', '6', '3', 'tep_cfg_pull_down_zone_classes(','tep_get_zone_class_title', '". $serverDate ."')");
					  break;
			case 'MODULE_SHIPPING_USPS_EXCEPT_COUNTRY':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('USPS Except Shipping Country', 'MODULE_SHIPPING_USPS_EXCEPT_COUNTRY', '', 'If countries are selected, disable this shipping method for that countries.', '6', '4', 'tep_cfg_pull_down_zone_except_countries(MODULE_SHIPPING_USPS_ZONE,', 'tep_get_zone_except_country', '". $serverDate ."')");
					  break;
			case 'MODULE_SHIPPING_USPS_EXCEPT_ZONE':
					  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('USPS Except Shipping Zone', 'MODULE_SHIPPING_USPS_EXCEPT_ZONE', '', 'If a zone is selected, disable this shipping method for that zone.', '6', '3', 'tep_cfg_pull_down_zone_classes(','tep_get_zone_class_title', '". $serverDate ."')");
					  break;
					  
			}
		}	
		
	} 
?>