<?php
/*

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce
  
  osCommRes, Services Online
  http://www.oscommres.com

  Copyright (c) 2005 osCommRes

  Released under the GNU General Public License
*/

  $script_filename = getenv('PATH_TRANSLATED');
  if (empty($script_filename)) {
    $script_filename = getenv('SCRIPT_FILENAME');
  }

  if (empty($script_filename)) {
	$script_filename = $_SERVER["SCRIPT_FILENAME"];
  }
  $script_filename = str_replace('\\', '/', $script_filename);
  $script_filename = str_replace('//', '/', $script_filename);

  $dir_fs_www_root_array = explode('/', dirname($script_filename));
  $dir_fs_www_root = array();
  for ($i=0, $n=sizeof($dir_fs_www_root_array)-1; $i<$n; $i++) {
    $dir_fs_www_root[] = $dir_fs_www_root_array[$i];
  }
  $dir_fs_www_root = implode('/', $dir_fs_www_root) . '/';
?>
<p class="pageTitle">New Installation</p>

<p><b>Database Import</b></p>

<?php
  if (osc_in_array('database', $HTTP_POST_VARS['install'])) {
    $db = array();
    $db['DB_SERVER'] = trim(stripslashes($HTTP_POST_VARS['DB_SERVER']));
    $db['DB_SERVER_USERNAME'] = trim(stripslashes($HTTP_POST_VARS['DB_SERVER_USERNAME']));
    $db['DB_SERVER_PASSWORD'] = trim(stripslashes($HTTP_POST_VARS['DB_SERVER_PASSWORD']));
    $db['DB_DATABASE'] = trim(stripslashes($HTTP_POST_VARS['DB_DATABASE']));

    osc_db_connect($db['DB_SERVER'], $db['DB_SERVER_USERNAME'], $db['DB_SERVER_PASSWORD']);

    $db_error = false;
	$sql_files=array();
	$version="1_1_0";
	// first check the database existance
	$database_query=osc_db_query("SHOW DATABASES like '" . $db['DB_DATABASE'] . "'");
	if (osc_db_num_rows($database_query)>0 && (!isset($HTTP_POST_VARS["optReinstall"]) || $HTTP_POST_VARS["optReinstall"]!="Y")){
		// first check the oscommerce.sql and oscommres.sql are installed
		$check_query=osc_db_query("SHOW TABLES FROM " . $db['DB_DATABASE'] . " like 'categories'");
		if (osc_db_num_rows($check_query)<=0) $sql_files[]="oscommerce";
	
		$check_query=osc_db_query("SHOW TABLES FROM " . $db['DB_DATABASE'] . " like 'events'");
		if (osc_db_num_rows($check_query)<=0) $sql_files[]="oscommres";

		$check_query=osc_db_query("SHOW TABLES FROM " . $db['DB_DATABASE'] . " like 'configuration'");
		if (osc_db_num_rows($check_query)>0){
			osc_db_select_db($db['DB_DATABASE']);
			$config_query=osc_db_query("SELECT configuration_value from configuration where configuration_key='LAST_SQL_FILE_EXECUTED'");
			$config_result=osc_db_fetch_array($config_query);
			$config_rows=osc_db_num_rows($config_query);
			if ($config_rows>0 && $config_result["configuration_value"]!=""){
				$temp_splt=split("_",$config_result["configuration_value"]);
				if (count($temp_splt)==3) $version=$config_result["configuration_value"];
			}
		}
	} else {
		$sql_files[]="oscommerce";
		$sql_files[]="oscommres";
	}
	// first get the last executed sql file
	osc_set_time_limit(5);
	$version_splt=split("_",$version);
	while(true){
		for ($icnt=2;$icnt>=0;$icnt--){
			$version_splt[$icnt]+=1;
			if ($version_splt[$icnt]<=9 || $icnt==0) break;
			$version_splt[$icnt]=0;
		}
		$current_version=join("_",$version_splt);
		$temp_file="oscommres_v" . $current_version;
		if (!file_exists($dir_fs_www_root . "install/" . $temp_file . ".sql")) break;
		$sql_files[]=$temp_file;
	}
    osc_set_time_limit(5);
	$last_sql="";
	for ($icnt=0;$icnt<count($sql_files);$icnt++){
		$last_sql=$sql_files[$icnt];
	    osc_db_install($db['DB_DATABASE'], $dir_fs_www_root . "install/" . $sql_files[$icnt] . ".sql");
		if ($db_error) break;
		if ($sql_files[$icnt]!="oscommerce" || $sql_files[$icnt]!="oscommres"){
			$version_text=str_replace("oscommres_v","",$sql_files[$icnt]);
			// update the config with this file
			if ($config_rows<=0){
				osc_db_query("INSERT INTO configuration(configuration_title,configuration_key,configuration_group_id,configuration_value) values('Last sql file executed during previous installation','LAST_SQL_FILE_EXECUTED','99999','" .$version_text."')");
				$config_rows=1;
			} else {
				osc_db_query("UPDATE configuration set configuration_value='" .$version_text."' where configuration_key='LAST_SQL_FILE_EXECUTED'");
			}
		}
	}

    if ($db_error != false) {
?>
<form name="install" action="install.php?step=3" method="post">

<table width="95%" border="0" cellpadding="2" class="formPage">
  <tr>
    <td>
      <p>The following error has occurred:</p>
       <p class="boxme"><?php echo $db_error; ?></p>
	   Sql file: <?php echo $last_sql;?>
    </td>
  </tr>
</table>

<?php
      reset($HTTP_POST_VARS);
      while (list($key, $value) = each($HTTP_POST_VARS)) {
        if (($key != 'x') && ($key != 'y') && ($key != 'DB_TEST_CONNECTION')) {
          if (is_array($value)) {
            for ($i=0; $i<sizeof($value); $i++) {
              echo osc_draw_hidden_field($key . '[]', $value[$i]);
            }
          } else {
            echo osc_draw_hidden_field($key, $value);
          }
        }
      }
?>

<p>&nbsp;</p>

<table border="0" width="100%" cellspacing="0" cellpadding="0">
  <tr>
    <td align="center"><a href="index.php"><img src="images/button_cancel.gif" border="0" alt="Cancel"></a></td>
    <td align="center"><input type="image" src="images/button_retry.gif" border="0" alt="Retry" class="imageButton"></td>
  </tr>
</table>

</form>

<?php
    } else {
?>
<form name="install" action="install.php?step=4" method="post">

<table width="95%" border="0" cellpadding="2" class="formPage">
  <tr>
    <td>
      <p>The database import was <b>successful!</b></p>
    </td>
  </tr>
</table>

<?php
      reset($HTTP_POST_VARS);
      while (list($key, $value) = each($HTTP_POST_VARS)) {
        if (($key != 'x') && ($key != 'y') && ($key != 'DB_TEST_CONNECTION')) {
          if (is_array($value)) {
            for ($i=0; $i<sizeof($value); $i++) {
              echo osc_draw_hidden_field($key . '[]', $value[$i]);
            }
          } else {
            echo osc_draw_hidden_field($key, $value);
          }
        }
      }
?>

<p>&nbsp;</p>

<table border="0" width="100%" cellspacing="0" cellpadding="5">
  <tr>
<?php
      if (osc_in_array('configure', $HTTP_POST_VARS['install'])) {
?>
    <td align="center"><a href="javascript:doAction(1)"><img src="images/button_continue.gif" border="0" alt="Continue"><a></td>
<?php
      } else {
?>
    <td align="center"><a href="javascript:doAction(2)"><img src="images/button_continue.gif" border="0" alt="Continue"></a></td>
<?php
      }
?>
  </tr>
</table>
<script language="javascript">
	function doAction(type){
		if (type==1){
			document.install.action="install.php?step=4";
		} else {
			document.install.action="install.php?step=8";
		}
		document.install.submit();
	}
</script>
</form>
<?php
    }
  }
?>
